dimensions_fields_mapping = {
    'COSTTYPE': [
        'RECORDNO',
        'PROJECTKEY',
        'PROJECTID',
        'PROJECTNAME',
        'TASKKEY',
        'TASKID',
        'TASKNAME',
        'COSTTYPEID',
        'NAME',
        'STATUS',
        'WHENCREATED',
        'WHENMODIFIED'
    ],
    'CHECKINGACCOUNT': [
        'BANKACCOUNTID',
        'BANKACCOUNTNO',
        'GLACCOUNTNO',
        'BANKNAME',
        'ROUTINGNO',
        'BRANCHID',
        'BANKACCOUNTTYPE',
        'DEPARTMENTID',
        'LOCATIONID',
        'STATUS',
        'RECORDNO',
        'ACHBANKID',
        'COMPANYNAME'
    ],
    'CONTACT': [
        'RECORDNO',
        'CONTACTNAME',
        'COMPANYNAME',
        'FIRSTNAME',
        'LASTNAME',
        'INITIAL',
        'PRINTAS',
        'TAXABLE',
        'MAILADDRESS.ADDRESS1'
    ],
    'DEPARTMENT': 
    [
        'DEPARTMENTID'
        ,'RECORDNO'
        ,'TITLE'
        ,'PARENTKEY'
        ,'PARENTID'
        ,'PARENTNAME'
        ,'SUPERVISORKEY'
        ,'SUPERVISORID'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'SUPERVISORNAME'
        ,'STATUS'
        ,'CUSTTITLE'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
    ],
    'EXPENSEPAYMENTTYPE': 
    [
        'RECORDNO',
        'NAME',
        'DESCRIPTION',
        'NONREIMBURSABLE',
        'OFFSETACCTNO',
        'OFFSETACCTTITLE',
        'STATUS',
        'WHENCREATED',
        'WHENMODIFIED',
        'CREATEDBY',
        'MODIFIEDBY',
        'MEGAENTITYKEY',
        'MEGAENTITYID',
        'MEGAENTITYNAME'
    ],
    'EEXPENSES': [
        'RECORDNO',
        'RECORD_URL',
        'RECORDID',
        'WHENCREATED',
        'WHENPOSTED',
        'TOTALENTERED',
        'STATE',
        'TOTALDUE',
        'DESCRIPTION',
        'CURRENCY',
        'BASECURR',
        'MEMO'
    ],
    'APBILL': [
        'RECORDNO',
        'RECORDID',
        'RECORD_URL',
        'STATE',
        'VENDORID',
        'VENDORNAME',
        'DOCNUMBER',
        'TERMNAME',
        'WHENCREATED',
        'WHENPOSTED',
        'TOTALENTERED',
        'TOTALSELECTED',
        'TOTALPAID',
        'TOTALDUE',
        'WHENDUE',
        'WHENPAID',
        'RECPAYMENTDATE',
        'PAYMENTPRIORITY',
        'DESCRIPTION',
        'ONHOLD',
        'BASECURR',
        'CURRENCY',
        'WHENMODIFIED',
        'DUE_IN_DAYS',
        'PRBATCH',
    ],
    'CCTRANSACTION': [
        'RECORDNO',
        'RECORDID',
        'RECORD_URL',
        'WHENCREATED',
        'DESCRIPTION',
        'BASECURR',
        'CURRENCY',
        'TOTALENTERED',
        'TRX_TOTALENTERED',
        'TOTALPAID',
        'TRX_TOTALPAID',
        'TOTALSELECTED',
        'TRX_TOTALSELECTED',
        'TOTALDUE',
        'TRX_TOTALDUE',
        'WHENPAID',
        'STATE',
        'RAWSTATE',
        'CLEARED',
        'AUWHENCREATED',
        'WHENMODIFIED',
        'INCLUSIVETAX',
        'TAXSOLUTIONID',
        'TAXMETHOD',
        'MEGAENTITYKEY',
        'MEGAENTITYID',
        'MEGAENTITYNAME',
    ],
    'EEACCOUNTLABEL': [
        'RECORDNO',
        'ACCOUNTLABEL',
        'DESCRIPTION',
        'GLACCOUNTNO',
        'GLACCOUNTTITLE',
        'STATUS',
        'ITEMID'
    ],
    'ITEM': [
        'RECORDNO',
        'ITEMID',
        'STATUS',
        'MRR',
        'NAME',
        'EXTENDED_DESCRIPTION',
        'PODESCRIPTION',
        'SODESCRIPTION',
        'PRODUCTLINEID',
        'PRODUCTLINERECORDNO',
        'CYCLE',
        'CNBILLINGTEMPLKEY',
        'CNREVENUETEMPLKEY',
        'CNREVENUE2TEMPLKEY',
        'CNEXPENSETEMPLKEY',
        'CNEXPENSE2TEMPLKEY',
        'CNBILLINGTEMPLATENAME',
        'CNREVENUETEMPLATENAME',
        'CNREVENUE2TEMPLATENAME',
        'CNEXPENSETEMPLATENAME',
        'CNEXPENSE2TEMPLATENAME',
        'CNDEFAULTBUNDLE',
        'CNMEACATEGORYKEY',
        'CNMEACATEGORYNAME',
        'PRODUCTTYPE',
        'SUBSTITUTEID',
        'SHIP_WEIGHT',
        'WHENLASTSOLD',
        'WHENLASTRECEIVED',
        'INCOMEACCTKEY',
        'EXPENSEACCTKEY',
        'INVACCTKEY',
        'COGSACCTKEY',
        'OFFSETOEGLACCOUNTKEY',
        'OFFSETPOGLACCOUNTKEY',
        'DEFERREDREVACCTKEY',
        'DEFAULTREVRECTEMPLKEY',
        'ALLOW_BACKORDER',
        'TAXABLE',
        'TAXGROUP.NAME',
        'TAXCODE',
        'COST_METHOD',
        'STANDARD_COST',
        'UOMGRP',
        'BASEUOM',
        'UOM.INVUOMDETAIL.UNIT',
        'UOM.POUOMDETAIL.UNIT',
        'UOM.POUOMDETAIL.CONVFACTOR',
        'UOM.SOUOMDETAIL.UNIT',
        'UOM.SOUOMDETAIL.CONVFACTOR',
        'DEFAULT_WAREHOUSE',
        'GLGROUP',
        'NOTE',
        'INV_PRECISION',
        'PO_PRECISION',
        'SO_PRECISION',
        'ITEMTYPE',
        'ENABLE_SERIALNO',
        'SERIAL_MASKKEY',
        'ENABLE_LOT_CATEGORY',
        'LOT_CATEGORYKEY',
        'ENABLE_BINS',
        'ENABLE_EXPIRATION',
        'UPC',
        'REVPOSTING',
        'REVPRINTING',
        'VSOECATEGORY',
        'VSOEDLVRSTATUS',
        'VSOEREVDEFSTATUS',
        'HASSTARTENDDATES',
        'TERMPERIOD',
        'TOTALPERIODS',
        'COMPUTEFORSHORTTERM',
        'RENEWALMACROID',
        'RENEWALMACROKEY',
        'ITEMGLGROUP.INCOMEACCOUNT.ACCTNO',
        'ITEMGLGROUP.EXPENSEACCOUNT.ACCTNO',
        'ITEMGLGROUP.INVENTORYACCOUNT.ACCTNO',
        'ITEMGLGROUP.COGSACCOUNT.ACCTNO',
        'ITEMGLGROUP.DEFRRGLACCOUNT.ACCTNO',
        'ITEMGLGROUP.OEGLACCOUNT.ACCTNO',
        'ITEMGLGROUP.POGLACCOUNT.ACCTNO',
        'ENABLELANDEDCOST',
        'DEFCONTRACTDELIVERYSTATUS',
        'DEFCONTRACTDEFERRALSTATUS',
        'WHENCREATED',
        'WHENMODIFIED',
        'CREATEDBY',
        'MODIFIEDBY',
        'IONORDER',
        'IONHAND',
        'IONHOLD',
        'GLGRPKEY',
        'UOMGRPKEY',
        'TAXGROUPKEY',
        'DROPSHIP',
        'BUYTOORDER',
        'IALLOCATED',
        'IRESERVED',
        'IUNCOMMITTED',
        'IINTRANSIT',
        'BASEPRICE',
        'ENABLE_REPLENISHMENT',
        'REPLENISHMENT_METHOD',
        'DEFAULT_REPLENISHMENT_UOM',
        'REORDER_POINT',
        'SAFETY_STOCK',
        'REORDER_QTY',
        'MAX_ORDER_QTY',
        'AUTOPRINTLABEL',
        'ALLOWMULTIPLETAXGRPS',
        'TAXGROUP.TAXSOLUTION.SOLUTIONID',
        'TAXGROUP.TAXSOLUTIONKEY',
        'WEIGHTUOM',
        'WEIGHTUOMKEY',
        'NETWEIGHT',
        'LWHUOM',
        'LWHUOMKEY',
        'LENGTH',
        'WIDTH',
        'HEIGHT',
        'THICKNESSUOM',
        'THICKNESSUOMKEY',
        'THICKNESS',
        'MINIMUMTHICKNESS',
        'MAXIMUMTHICKNESS',
        'AREAUOM',
        'AREAUOMKEY',
        'AREA',
        'VOLUMEUOM',
        'VOLUMEUOMKEY',
        'VOLUME',
        'DIAMETERUOM',
        'DIAMETERUOMKEY',
        'INNERDIAMETER',
        'OUTERDIAMETER',
        'DUROMETER',
        'DENSITYUOM',
        'DENSITY',
        'UPC12',
        'EAN13',
        'SAFETYITEM',
        'RESTRICTEDITEM',
        'COMPLIANTITEM',
        'CONDITION',
        'ENGINEERINGALERT',
        'SPECIFICATION1',
        'SPECIFICATION2',
        'SPECIFICATION3',
        'ENGINEERINGAPPROVAL',
        'QUALITYCONTROLAPPROVAL',
        'SALESAPPROVAL',
        'PRIMARYCOUNTRYOFORIGIN',
        'BRAND',
        'SUBBRAND',
        'CATEGORY',
        'SUBCATEGORY',
        'CATALOGREF',
        'COLOR',
        'STYLE',
        'SIZE1',
        'SIZE2',
        'GIFTCARD',
        'WEBENABLED',
        'WEBNAME',
        'WEBSHORTDESC',
        'WEBLONGDESC',
        'ENABLEFULFILLMENT',
        'CONTRACTENABLED',
        'MEGAENTITYKEY',
        'MEGAENTITYID',
        'MEGAENTITYNAME',
        'COO',
        'HS_CODE',
        'NETT_WEIGHT'
    ],
    'LOCATION': [
        'RECORDNO',
        'LOCATIONID',
        'NAME',
        'PARENTID',
        'STATUS',
        'CURRENCY'
    ],
    'PROJECT': [
        'RECORDNO',
        'PROJECTID',
        'NAME',
        'DESCRIPTION',
        'CURRENCY',
        'PROJECTCATEGORY',
        'PROJECTSTATUS',
        'PARENTKEY',
        'PARENTID',
        'PARENTNAME',
        'STATUS',
        'CUSTOMERKEY',
        'CUSTOMERID',
        'CUSTOMERNAME',
        'PROJECTTYPE',
        'DEPARTMENTNAME',
        'LOCATIONID',
        'LOCATIONNAME',
        'BUDGETID',
        'MEGAENTITYID',
        'MEGAENTITYNAME'
    ],
    'CUSTOMER': [
        'RECORDNO',
        'CUSTOMERID',
        'NAME',
        'ENTITY',
        'PARENTKEY',
        'PARENTID',
        'PARENTNAME',
        'CUSTREPNAME',
        'TOTALDUE',
        'GLGRPKEY',
        'GLGROUP',
        'STATUS',
        'ONETIME',
        'ONHOLD',
        'WHENCREATED',
        'CREATEDBY',
        'MODIFIEDBY',
        'OBJECTRESTRICTION'
    ],
    'TASK': [
        'RECORDNO',
        'TASKID',
        'PARENTKEY',
        'PARENTID',
        'NAME',
        'PARENTTASKNAME',
        'PROJECTKEY',
        'PROJECTID',
        'PROJECTNAME',
        'ITEMKEY',
        'ITEMID',
        'ITEMNAME',
        'DESCRIPTION',
        'BILLABLE',
        'TASKNO',
        'TASKSTATUS',
        'CLASSID',
        'CLASSNAME',
        'CLASSKEY',
        'ROOTPARENTKEY',
        'ROOTPARENTID',
        'ROOTPARENTNAME'
    ],
    'VENDOR': [
        'RECORDNO',
        'NAME',
        'VENDORID',
        'PARENTKEY',
        'PARENTID',
        'PARENTNAME',
        'DISPLAYCONTACT.CONTACTNAME',
        'DISPLAYCONTACT.COMPANYNAME',
        'DISPLAYCONTACT.FIRSTNAME',
        'DISPLAYCONTACT.LASTNAME',
        'DISPLAYCONTACT.INITIAL',
        'DISPLAYCONTACT.PRINTAS',
        'DISPLAYCONTACT.PHONE1',
        'DISPLAYCONTACT.PHONE2',
        'DISPLAYCONTACT.EMAIL1',
        'DISPLAYCONTACT.EMAIL2',
        'VENDORACCOUNTNO',
        'VENDTYPE',
        'ACCOUNTLABEL',
        'APACCOUNT',
        'APACCOUNTTITLE',
        'STATUS',
        'WHENMODIFIED'
    ],
    'CREDITCARD': [
        'RECORDNO',
        'CARDID',
        'DESCRIPTION',
        'CARDTYPE',
        'EXP_MONTH',
        'EXP_YEAR',
        'COMMCARD',
        'STATUS',
        'VENDORID',
        'DEPT',
        'LOCATION',
        'LIABILITYTYPE',
        'OUTSOURCECARD'
    ],
    'EMPLOYEE': [
        'RECORDNO',
        'EMPLOYEEID',
        'SSN',
        'TITLE',
        'LOCATIONID',
        'DEPARTMENTID',
        'BIRTHDATE',
        'STARTDATE',
        'ENDDATE',
        'STATUS',
        'EMPLOYEETYPE',
        'EMPLOYEETYPE1099TYPE',
        'GENDER',
        'TERMINATIONTYPE',
        'CONTACT.CONTACTNAME',
        'CONTACT.PREFIX',
        'CONTACT.FIRSTNAME',
        'CONTACT.INITIAL',
        'CONTACT.LASTNAME',
        'CONTACT.COMPANYNAME',
        'CONTACT.PRINTAS',
        'CONTACT.PHONE1',
        'CONTACT.PHONE2',
        'CONTACT.CELLPHONE',
        'CONTACT.PAGER',
        'CONTACT.FAX',
        'CONTACT.EMAIL1',
        'CONTACT.EMAIL2',
        'CONTACT.URL1',
        'CONTACT.URL2',
        'CONTACT.MAILADDRESS.ADDRESS1',
        'CONTACT.MAILADDRESS.ADDRESS2',
        'CONTACT.MAILADDRESS.CITY',
        'CONTACT.MAILADDRESS.STATE',
        'CONTACT.MAILADDRESS.ZIP',
        'CONTACT.MAILADDRESS.COUNTRY',
        'CONTACT.MAILADDRESS.COUNTRYCODE',
        'CURRENCY',
        'WHENCREATED',
        'WHENMODIFIED',
        'PAYMETHODKEY',
        'CONTACTKEY',
        'MEGAENTITYKEY',
        'MEGAENTITYID',
        'MEGAENTITYNAME'
    ],
    'LOCATIONENTITY': [
        'RECORDNO',
        'LOCATIONID',
        'NAME',
        'REPORTPRINTAS',
        'SUPERVISORID',
        'FIRSTMONTH',
        'FIRSTMONTHTAX',
        'WEEKSTART',
        'FEDERALID',
        'STARTDATE',
        'ENDDATE',
        'STATUS',
        'HAS_IE_RELATION',
        'CUSTOMERID',
        'CUSTOMERNAME',
        'VENDORID',
        'VENDORNAME',
        'CURRENCY',
        'TAXID',
        'ENABLELEGALCONTACT',
        'LEGALNAME',
        'LEGALADDRESS1',
        'LEGALADDRESS2',
        'LEGALCITY',
        'LEGALSTATE',
        'LEGALZIPCODE',
        'LEGALCOUNTRY',
        'OPCOUNTRY',
        'ADDRESSCOUNTRYDEFAULT',
        'RECORD_URL'
    ],
    'TAXDETAIL': [
        'RECORDNO',
        'DETAILID',
        'TAXUID',
        'DESCRIPTION',
        'TAXTYPE',
        'VALUE',
        'MINTAXABLE',
        'MAXTAXABLE',
        'INCLUDE',
        'MINTAX',
        'MAXTAX',
        'GLACCOUNT',
        'TAXAUTHORITY',
        'STATUS',
        'REVERSECHARGE',
        'TAXRATE',
        'TAXSOLUTIONID',
        'MEGAENTITYKEY',
        'MEGAENTITYID',
        'MEGAENTITYNAME'
    ],
    'ARINVOICE': [
        'RECORDNO',
        'RECORDID',
        'STATE',
        'CUSTOMERID',
        'CUSTOMERNAME',
        'CUSTMESSAGEID',
        'CUSTMESSAGE.MESSAGE',
        'DOCNUMBER',
        'DESCRIPTION',
        'DESCRIPTION2',
        'TERMNAME',
        'WHENCREATED',
        'WHENPOSTED',
        'WHENDISCOUNT',
        'WHENDUE',
        'WHENPAID',
        'BASECURR',
        'CURRENCY',
        'EXCH_RATE_DATE',
        'EXCH_RATE_TYPE_ID',
        'EXCHANGE_RATE',
        'TOTALENTERED',
        'TOTALSELECTED',
        'TOTALPAID',
        'TOTALDUE',
        'BILLTOPAYTOCONTACTNAME',
        'SHIPTORETURNTOCONTACTNAME',
        'CONTACT.CONTACTNAME',
        'CONTACT.PREFIX',
        'CONTACT.FIRSTNAME',
        'CONTACT.INITIAL',
        'CONTACT.LASTNAME',
        'CONTACT.COMPANYNAME',
        'CONTACT.PRINTAS',
        'CONTACT.PHONE1',
        'CONTACT.PHONE2',
        'CONTACT.CELLPHONE',
        'CONTACT.PAGER',
        'CONTACT.FAX',
        'CONTACT.EMAIL1',
        'CONTACT.EMAIL2',
        'CONTACT.URL1',
        'CONTACT.URL2',
        'CONTACT.MAILADDRESS.ADDRESS1',
        'CONTACT.MAILADDRESS.ADDRESS2',
        'CONTACT.MAILADDRESS.CITY',
        'CONTACT.MAILADDRESS.STATE',
        'CONTACT.MAILADDRESS.ZIP',
        'CONTACT.MAILADDRESS.COUNTRY',
        'CONTACT.MAILADDRESS.COUNTRYCODE',
        'SHIPTO.CONTACTNAME',
        'SHIPTO.PREFIX',
        'SHIPTO.FIRSTNAME',
        'SHIPTO.INITIAL',
        'SHIPTO.LASTNAME',
        'SHIPTO.COMPANYNAME',
        'SHIPTO.PRINTAS',
        'SHIPTO.PHONE1',
        'SHIPTO.PHONE2',
        'SHIPTO.CELLPHONE',
        'SHIPTO.PAGER',
        'SHIPTO.FAX',
        'SHIPTO.EMAIL1',
        'SHIPTO.EMAIL2',
        'SHIPTO.URL1',
        'SHIPTO.URL2',
        'SHIPTO.VISIBLE',
        'SHIPTO.MAILADDRESS.ADDRESS1',
        'SHIPTO.MAILADDRESS.ADDRESS2',
        'SHIPTO.MAILADDRESS.CITY',
        'SHIPTO.MAILADDRESS.STATE',
        'SHIPTO.MAILADDRESS.ZIP',
        'SHIPTO.MAILADDRESS.COUNTRY',
        'SHIPTO.MAILADDRESS.COUNTRYCODE',
        'BILLTO.CONTACTNAME',
        'BILLTO.PREFIX',
        'BILLTO.FIRSTNAME',
        'BILLTO.INITIAL',
        'BILLTO.LASTNAME',
        'BILLTO.COMPANYNAME',
        'BILLTO.PRINTAS',
        'BILLTO.PHONE1',
        'BILLTO.PHONE2',
        'BILLTO.CELLPHONE',
        'BILLTO.PAGER',
        'BILLTO.FAX',
        'BILLTO.EMAIL1',
        'BILLTO.EMAIL2',
        'BILLTO.URL1',
        'BILLTO.URL2',
        'BILLTO.VISIBLE',
        'BILLTO.MAILADDRESS.ADDRESS1',
        'BILLTO.MAILADDRESS.ADDRESS2',
        'BILLTO.MAILADDRESS.CITY',
        'BILLTO.MAILADDRESS.STATE',
        'BILLTO.MAILADDRESS.ZIP',
        'BILLTO.MAILADDRESS.COUNTRY',
        'BILLTO.MAILADDRESS.COUNTRYCODE',
        'PRBATCH',
        'SYSTEMGENERATED',
        'AUWHENCREATED',
        'WHENMODIFIED',
        'DUE_IN_DAYS',
        'SHIPTO.TAXGROUP.NAME',
        'SHIPTO.TAXID',
        'SHIPTO.TAXGROUP.RECORDNO',
        'TAXSOLUTIONID',
        'TAXMETHOD',
        'RETAINAGEPERCENTAGE',
        'TRX_TOTALRETAINED',
        'TRX_TOTALRELEASED',
        'TOTALRETAINED',
        'MEGAENTITYKEY',
        'MEGAENTITYID',
        'MEGAENTITYNAME'
    ],
    'GLDETAIL': [
        'RECORDNO',
        'BATCHKEY',
        'BATCH_DATE',
        'BATCH_TITLE',
        'SYMBOL',
        'BATCH_NO',
        'BOOKID',
        'CHILDENTITY',
        'MODIFIED',
        'REFERENCENO',
        'ADJ',
        'MODULEKEY',
        'OWNERSHIPKEY',
        'LINE_NO',
        'ENTRY_DATE',
        'TR_TYPE',
        'DOCUMENT',
        'ACCOUNTNO',
        'ACCOUNTTITLE',
        'STATISTICAL',
        'DEPARTMENTID',
        'DEPARTMENTTITLE',
        'LOCATIONID',
        'LOCATIONNAME',
        'CURRENCY',
        'BASECURR',
        'DESCRIPTION',
        'DEBITAMOUNT',
        'CREDITAMOUNT',
        'AMOUNT'
    ],
    'GLDETAILMARKETING': [
        'RECORDNO',
        'BATCHKEY',
        'BATCH_DATE',
        'BATCH_TITLE',
        'SYMBOL',
        'BATCH_NO',
        'BOOKID',
        'CHILDENTITY',
        'MODIFIED',
        'REFERENCENO',
        'ADJ',
        'MODULEKEY',
        'OWNERSHIPKEY',
        'LINE_NO',
        'ENTRY_DATE',
        'TR_TYPE',
        'DOCUMENT',
        'ACCOUNTNO',
        'ACCOUNTTITLE',
        'STATISTICAL',
        'DEPARTMENTID',
        'DEPARTMENTTITLE',
        'LOCATIONID',
        'LOCATIONNAME',
        'CURRENCY',
        'BASECURR',
        'DESCRIPTION',
        'DEBITAMOUNT',
        'CREDITAMOUNT',
        'AMOUNT'
    ],
    'GLDETAILROYALTIES': [
        'RECORDNO',
        'BATCHKEY',
        'BATCH_DATE',
        'BATCH_TITLE',
        'SYMBOL',
        'BATCH_NO',
        'BOOKID',
        'CHILDENTITY',
        'MODIFIED',
        'REFERENCENO',
        'ADJ',
        'MODULEKEY',
        'OWNERSHIPKEY',
        'LINE_NO',
        'ENTRY_DATE',
        'TR_TYPE',
        'DOCUMENT',
        'ACCOUNTNO',
        'ACCOUNTTITLE',
        'STATISTICAL',
        'DEPARTMENTID',
        'DEPARTMENTTITLE',
        'LOCATIONID',
        'LOCATIONNAME',
        'CURRENCY',
        'BASECURR',
        'DESCRIPTION',
        'DEBITAMOUNT',
        'CREDITAMOUNT',
        'AMOUNT'
    ],
    'CLASS': [
        'RECORDNO',
        'CLASSID',
        'NAME',
        'DESCRIPTION',
        'STATUS',
        'PARENTKEY',
        'PARENTID',
        'WHENCREATED',
        'WHENMODIFIED',
        'CREATEDBY',
        'MODIFIEDBY',
        'MEGAENTITYKEY',
        'MEGAENTITYID',
        'MEGAENTITYNAME',
        'RECORD_URL'
    ],
    'GLBATCH': [
        'JOURNAL',
        'BATCH_DATE',
        'BATCH_TITLE',
        'TAXIMPLICATIONS',
        'VATVENDORID',
        'VATCUSTOMERID',
        'VATCONTACTID',
        'REFERENCENO',
        'BASELOCATION_NO',
        'STATE',
        'TAXSOLUTIONID'
    ],
    'REVRECSCHEDULE': [
        'RECORDNO',
        'REVRECTEMPLATEKEY',
        'REVRECTEMPLATEID',
        'TEMPLATEPOSTINGMETHOD',
        'RECMETHOD',
        'MILESTONESOURCE',
        'PACALCSOURCE',
        'PACALCHOURS',
        'SCHEDULEPERIOD',
        'POSTINGDAY',
        'STATUS',
        'INVOICENO',
        'INVOICEDATE',
        'RECORDKEY',
        'DOCHDRKEY',
        'DOCID',
        'DOCUMENTDATE',
        'DESCRIPTION',
        'PRENTRYKEY',
        'DOCENTRYKEY',
        'REVRECCATKEY',
        'CHANGECATEGORY',
        'CHANGEMEMO',
        'DAYSLASTPERIOD',
        'PROJECTID',
        'PROJECTNAME',
        'TASKNAME',
        'TASKID',
        'WHENCREATED',
        'WHENMODIFIED',
        'CREATEDBY',
        'MODIFIEDBY',
        'MEGAENTITYKEY',
        'MEGAENTITYID',
        'MEGAENTITYNAME'
    ],
    'REVRECSCHEDULEENTRY': [
        'RECORDNO',
        'REVRECSCHEDULEKEY',
        'POSTED',
        'POSITION',
        'NEXT',
        'POSTINGDATE',
        'REVACCTKEY',
        'ACCOUNTNO',
        'ACCOUNTTITLE',
        'JOURNALKEY',
        'GLJOURNAL',
        'DEFERREDREVACCTKEY',
        'AMOUNT',
        'GLBATCHKEY',
        'SCHOPKEY',
        'TR_TYPE',
        'TRX_AMOUNT',
        'CURRENCY',
        'POSTED_AMOUNT',
        'BASECURR',
        'EXCH_RATE_DATE',
        'EXCH_RATE_TYPE_ID',
        'EXCHANGE_RATE',
        'DESCRIPTION',
        'PARENTSTATUS',
        'UNSCHEDULED',
        'BUDGETQTY',
        'ESTQTY',
        'PLANNEDQTY',
        'ACTUALQTY',
        'PERCENTCOMPLETED',
        'PERCENTRECOGNIZED',
        'OBSPERCENTCOMPLETE',
        'BUDGETEDCOST',
        'TOTALCOST',
        'WHENCREATED',
        'WHENMODIFIED',
        'CREATEDBY',
        'MODIFIEDBY',
        'CUSTOMERDIMKEY',
        'CUSTOMERID',
        'CUSTOMERNAME',
        'ITEMDIMKEY',
        'ITEMID',
        'ITEMNAME',
        'VENDORDIMKEY',
        'VENDORID',
        'VENDORNAME',
        'EMPLOYEEDIMKEY',
        'EMPLOYEEID',
        'EMPLOYEENAME',
        'CLASSDIMKEY',
        'CLASSID',
        'CLASSNAME',
        'PROJECTDIMKEY',
        'PROJECTID',
        'PROJECTNAME',
        'TASKDIMKEY',
        'TASKID',
        'TASKNAME'
    ],
    'WAREHOUSE':
    [
        'RECORDNO'
        ,'LOCATIONID'
        ,'NAME'
        ,'PARENTKEY'
        ,'PARENTID'
        ,'PARENTNAME'
        ,'WAREHOUSEID'
        ,'LOC.LOCATIONID'
        ,'MANAGER.NAME'
        ,'MANAGERID'
        ,'CONTACTINFO.CONTACTNAME'
        ,'SHIPTO.CONTACTNAME'
        ,'USEDINGL'
        ,'STATUS'
        ,'ENABLE_REPLENISHMENT'
        ,'ENABLENEGATIVEINV'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'MEGAENTITYKEY'
        ,'MEGAENTITYID'
        ,'MEGAENTITYNAME'
    ],
    'SODOCUMENTENTRY':
    [
        'RECORDNO'
        ,'DOCHDRNO'
        ,'DOCHDRID'
        ,'DOCPARID'
        ,'BUNDLENUMBER'
        ,'LINE_NO'
        ,'ITEMID'
        ,'ITEMNAME'
        ,'ITEMDESC'
        ,'UNIT'
        ,'WAREHOUSE.LOCATION_NO'
        ,'WAREHOUSE.NAME'
        ,'MEMO'
        ,'PRICECALCMEMO'
        ,'QUANTITY'
        ,'QTY_CONVERTED'
        ,'RETAILPRICE'
        ,'PRICE'
        ,'TOTAL'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'AUWHENCREATED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'ITEM.TAXABLE'
        ,'ITEM.TAXGROUP.RECORDNO'
        ,'ITEM.RENEWALMACRO.MACROID'
        ,'EXTENDED_DESCRIPTION'
        ,'ITEMGLGROUP'
        ,'STATE'
        ,'STATUS'
        ,'COST'
        ,'COST_METHOD'
        ,'UIQTY'
        ,'DISCOUNTPERCENT'
        ,'MULTIPLIER'
        ,'UIPRICE'
        ,'UIVALUE'
        ,'LOCATIONID'
        ,'LOCATIONNAME'
        ,'DEPARTMENTID'
        ,'DEPARTMENTNAME'
        ,'DEPTKEY'
        ,'LOCATIONKEY'
        ,'TIMETYPEKEY'
        ,'TIMETYPENAME'
        ,'TIMENOTES'
        ,'EEACCOUNTLABELKEY'
        ,'EEACCOUNTLABEL'
        ,'SOURCE_DOCKEY'
        ,'SOURCE_DOCLINEKEY'
        ,'ADJDOCHDRKEY'
        ,'ADJDOCENTRYKEY'
        ,'REVRECTEMPLATE'
        ,'REVRECTEMPLATEKEY'
        ,'REVRECSTARTDATE'
        ,'ITEMTERM'
        ,'TERMPERIOD'
        ,'REVRECENDDATE'
        ,'PRORATEPRICE'
        ,'DEFERREVENUE'
        ,'SC_REVRECTEMPLATE'
        ,'SC_REVRECTEMPLATEKEY'
        ,'SC_REVRECSTARTDATE'
        ,'SC_REVRECENDDATE'
        ,'SC_STARTDATE'
        ,'ITEM.ITEMTYPE'
        ,'ITEM.NUMDEC_SALE'
        ,'ITEM.NUMDEC_STD'
        ,'ITEM.NUMDEC_PUR'
        ,'ITEM.REVPOSTING'
        ,'ITEM.COMPUTEFORSHORTTERM'
        ,'ITEM.RENEWALMACROKEY'
        ,'ITEM.UOMGRPKEY'
        ,'ITEM.DROPSHIP'
        ,'ITEM.BUYTOORDER'
        ,'DISCOUNT_MEMO'
        ,'ITEM.REVPRINTING'
        ,'CURRENCY'
        ,'BASECURR'
        ,'EXCHRATEDATE'
        ,'EXCHRATETYPE'
        ,'EXCHRATE'
        ,'TRX_PRICE'
        ,'TRX_VALUE'
        ,'SCHEDULENAME'
        ,'SCHEDULEID'
        ,'RECURDOCNAME'
        ,'RECURDOCID'
        ,'RECURDOCENTRYKEY'
        ,'RENEWALMACRO'
        ,'RENEWALMACROKEY'
        ,'OVERRIDETAX'
        ,'SC_CREATERECURSCHED'
        ,'SC_EXISTINGSCHED'
        ,'SC_EXTENDLINEPERIOD'
        ,'SC_INSTALLPRICING'
        ,'RECURCONTRACTID'
        ,'SOURCE_DOCID'
        ,'BILLABLE'
        ,'BILLED'
        ,'BILLABLETIMEENTRYKEY'
        ,'BILLABLEGLENTRYKEY'
        ,'BILLABLEPRENTRYKEY'
        ,'BILLABLEDOCENTRYKEY'
        ,'BILLABLECONTRACTSCHENTRYKEY'
        ,'BILLABLECONTRACTUSAGEBILLINGID'
        ,'PERCENTVAL'
        ,'TAXABSVAL'
        ,'TAXABLEAMOUNT'
        ,'LINETOTAL'
        ,'DISCOUNT'
        ,'TRX_TAXABSVAL'
        ,'TRX_LINETOTAL'
        ,'TAXVALOVERRIDE'
        ,'PRICE_CONVERTED'
        ,'CONVERSIONTYPE'
        ,'PAYMENTTAXCAPTURE'
        ,'QUANTITYRESERVED'
        ,'QUANTITYALLOCATED'
        ,'QUANTITYRESERVEDWHENOPEN'
        ,'QUANTITYALLOCATEDWHENOPEN'
        ,'ALLOCRESERVEISENABLED'
        ,'PROJECTKEY'
        ,'PROJECTID'
        ,'PROJECTNAME'
        ,'TASKKEY'
        ,'TASKID'
        ,'TASKNAME'
        ,'BILLINGTEMPLATEKEY'
        ,'BILLINGTEMPLATE'
        ,'GENINVOICELINEKEY'
        ,'LINELEVELSIMPLETAXTYPE'
        ,'NEEDBYDATE'
        ,'SHIPBY'
        ,'DONOTSHIPBEFOREDATE'
        ,'DONOTSHIPAFTERDATE'
        ,'DATEPICKTICKETPRINTED'
        ,'CANCELAFTERDATE'
        ,'SHIPPEDDATE'
        ,'SHIPTOKEY'
        ,'SHIPTO.CONTACTNAME'
        ,'SHIPTO.MAILADDRESS.CITY'
        ,'SHIPTO.MAILADDRESS.STATE'
        ,'SHIPTO.MAILADDRESS.ZIP'
        ,'SHIPTO.MAILADDRESS.COUNTRY'
        ,'SHIPTO.MAILADDRESS.COUNTRYCODE'
        ,'DROPSHIP'
        ,'BUYTOORDER'
        ,'RETAINAGEPERCENTAGE'
        ,'AMOUNTRETAINED'
        ,'TRX_AMOUNTRETAINED'
        ,'RELATEDDOCKEY'
        ,'RELATEDDOCLINEKEY'
        ,'REVISEDUNITQTY'
        ,'REVISEDQTY'
        ,'DRAFTCHANGEUNITQTY'
        ,'DRAFTCHANGEQTY'
        ,'REVISEDUNITVALUE'
        ,'REVISEDVALUE'
        ,'TRX_REVISEDVALUE'
        ,'REVISEDPRICE'
        ,'REVISEDUNITPRICE'
        ,'TRX_REVISEDPRICE'
        ,'RELATEDDOCLINENO'
        ,'DRAFTCHANGEPRICE'
        ,'POSTEDQTYCHANGES'
        ,'POSTEDCHANGEEXTPRICE'
        ,'POSTEDCHANGEEXTBASEPRICE'
        ,'ADDEDBYCHANGE'
        ,'PROJECTCONTRACTID'
        ,'PROJECTCONTRACTNAME'
        ,'PROJECTCONTRACTKEY'
        ,'PROJECTCONTRACTLINEID'
        ,'PROJECTCONTRACTLINENAME'
        ,'PROJECTCONTRACTLINEKEY'
        ,'PCBLEXTERNALREFNO'
        ,'PCBLDESCRIPTION'
        ,'PCBLBILLINGTYPE'
        ,'CONTRACTLINEVALUE'
        ,'PRIORAPPLICATIONAMT'
        ,'COMPLETEDTHISPERIOD'
        ,'STOREDMATERIALS'
        ,'TOTALCOMPLETEDTODATE'
        ,'PERCENTCOMPLETEDTODATE'
        ,'BALANCEREMAINING'
        ,'DRAFTCHANGEBASEPRICE'
        ,'PREVIOUSRETAINAGEBALANCE'
        ,'ISRETAINAGERELEASE'
        ,'RETAINAGETOBILL'
        ,'RETAINAGEBALANCE'
        ,'ISSUMMARIZED'
        ,'REVERSECONVERSION'
        ,'REVERSEPRICECONVERTED'
        ,'REVERSEQTYCONVERTED'
        ,'STDPRICECONVERTED'
        ,'STDQTYCONVERTED'
        ,'SOURCEDOCID'
        ,'SOURCEDOCLINEID'
        ,'ITEMALIASID'
        ,'TOTAL_AMOUNT_CONVERTED'
        ,'TOTAL_AMOUNT_REMAINING'
        ,'QTY_REMAINING'
        ,'EXTENDEDPRICENETRETAINAGE'
        ,'EXTENDEDBASEPRICENETRETAINAGE'
        ,'PROJECTDIMKEY'
        ,'VENDORDIMKEY'
        ,'VENDORID'
        ,'VENDORNAME'
        ,'EMPLOYEEDIMKEY'
        ,'EMPLOYEEID'
        ,'EMPLOYEENAME'
        ,'CLASSDIMKEY'
        ,'CLASSID'
        ,'CLASSNAME'
        ,'RECORD_URL'
    ],
    "SODOCUMENT":
    [
        'DOCNO'
        ,'DOCID'
        ,'CREATEDFROM'
        ,'SOURCEDOCKEY'
        ,'SOURCEDOCPARID'
        ,'STATE'
        ,'CLOSED'
        ,'WHENCREATED'
        ,'AUWHENCREATED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'WHENMODIFIED'
        ,'WHENDUE'
        ,'STATUS'
        ,'PONUMBER'
        ,'VENDORDOCNO'
        ,'DOCPARID'
        ,'DOCPARKEY'
        ,'DOCPARCLASS'
        ,'UPDATES_INV'
        ,'TERMKEY'
        ,'TERM.NAME'
        ,'NOTE'
        ,'WAREHOUSE.LOCATIONID'
        ,'SHIPVIAKEY'
        ,'SHIPVIA'
        ,'USER'
        ,'CREATEDUSER'
        ,'USERID'
        ,'CREATEDUSERID'
        ,'CONTACTKEY'
        ,'MELOCATIONKEY'
        ,'CONTACT.CONTACTNAME'
        ,'CONTACT.PREFIX'
        ,'CONTACT.FIRSTNAME'
        ,'CONTACT.INITIAL'
        ,'CONTACT.LASTNAME'
        ,'CONTACT.COMPANYNAME'
        ,'CONTACT.PRINTAS'
        ,'CONTACT.PHONE1'
        ,'CONTACT.PHONE2'
        ,'CONTACT.CELLPHONE'
        ,'CONTACT.PAGER'
        ,'CONTACT.FAX'
        ,'CONTACT.EMAIL1'
        ,'CONTACT.EMAIL2'
        ,'CONTACT.URL1'
        ,'CONTACT.URL2'
        ,'CONTACT.VISIBLE'
        ,'CONTACT.MAILADDRESS.ADDRESS1'
        ,'CONTACT.MAILADDRESS.ADDRESS2'
        ,'CONTACT.MAILADDRESS.ADDRESS3'
        ,'CONTACT.MAILADDRESS.CITY'
        ,'CONTACT.MAILADDRESS.STATE'
        ,'CONTACT.MAILADDRESS.ZIP'
        ,'CONTACT.MAILADDRESS.COUNTRY'
        ,'CONTACT.MAILADDRESS.COUNTRYCODE'
        ,'SHIPTOKEY'
        ,'SHIPTO.CONTACTNAME'
        ,'SHIPTO.PREFIX'
        ,'SHIPTO.FIRSTNAME'
        ,'SHIPTO.INITIAL'
        ,'SHIPTO.LASTNAME'
        ,'SHIPTO.COMPANYNAME'
        ,'SHIPTO.PRINTAS'
        ,'SHIPTO.PHONE1'
        ,'SHIPTO.PHONE2'
        ,'SHIPTO.CELLPHONE'
        ,'SHIPTO.PAGER'
        ,'SHIPTO.FAX'
        ,'SHIPTO.EMAIL1'
        ,'SHIPTO.EMAIL2'
        ,'SHIPTO.URL1'
        ,'SHIPTO.URL2'
        ,'SHIPTO.VISIBLE'
        ,'SHIPTO.MAILADDRESS.ADDRESS1'
        ,'SHIPTO.MAILADDRESS.ADDRESS2'
        ,'SHIPTO.MAILADDRESS.ADDRESS3'
        ,'SHIPTO.MAILADDRESS.CITY'
        ,'SHIPTO.MAILADDRESS.STATE'
        ,'SHIPTO.MAILADDRESS.ZIP'
        ,'SHIPTO.MAILADDRESS.COUNTRY'
        ,'SHIPTO.MAILADDRESS.COUNTRYCODE'
        ,'BILLTOKEY'
        ,'BILLTO.CONTACTNAME'
        ,'BILLTO.PREFIX'
        ,'BILLTO.FIRSTNAME'
        ,'BILLTO.INITIAL'
        ,'BILLTO.LASTNAME'
        ,'BILLTO.COMPANYNAME'
        ,'BILLTO.PRINTAS'
        ,'BILLTO.PHONE1'
        ,'BILLTO.PHONE2'
        ,'BILLTO.CELLPHONE'
        ,'BILLTO.PAGER'
        ,'BILLTO.FAX'
        ,'BILLTO.EMAIL1'
        ,'BILLTO.EMAIL2'
        ,'BILLTO.URL1'
        ,'BILLTO.URL2'
        ,'BILLTO.VISIBLE'
        ,'BILLTO.MAILADDRESS.ADDRESS1'
        ,'BILLTO.MAILADDRESS.ADDRESS2'
        ,'BILLTO.MAILADDRESS.ADDRESS3'
        ,'BILLTO.MAILADDRESS.CITY'
        ,'BILLTO.MAILADDRESS.STATE'
        ,'BILLTO.MAILADDRESS.ZIP'
        ,'BILLTO.MAILADDRESS.COUNTRY'
        ,'BILLTO.MAILADDRESS.COUNTRYCODE'
        ,'MESSAGE'
        ,'INVBATCHKEY'
        ,'PRINVBATCHKEY'
        ,'ADDGLBATCHKEY'
        ,'PRINTED'
        ,'BACKORDER'
        ,'SUBTOTAL'
        ,'TOTAL'
        ,'ENTGLGROUP'
        ,'CURRENCY'
        ,'EXCHRATEDATE'
        ,'EXCHRATETYPES.NAME'
        ,'EXCHRATE'
        ,'SCHOPKEY'
        ,'SALESCONTRACT'
        ,'USEDASCONTRACT'
        ,'TRX_SUBTOTAL'
        ,'TRX_TOTAL'
        ,'EXCH_RATE_TYPE_ID'
        ,'RENEWEDDOC'
        ,'BASECURR'
        ,'SYSTEMGENERATED'
        ,'INVOICERUNKEY'
        ,'DOCPAR_IN_OUT'
        ,'WHENPOSTED'
        ,'PRINTEDUSERID'
        ,'DATEPRINTED'
        ,'PRINTEDBY'
        ,'ADJ'
        ,'TAXSOLUTIONKEY'
        ,'TAXSOLUTIONID'
        ,'SHOWMULTILINETAX'
        ,'TAXMETHOD'
        ,'DOCSOURCE'
        ,'CUSTREC'
        ,'CUSTVENDID'
        ,'CUSTVENDNAME'
        ,'CUSTVENDEMAILOPTIN'
        ,'HASPOSTEDREVREC'
        ,'CONTRACTID'
        ,'CONTRACTDESC'
        ,'PRRECORDKEY'
        ,'TRX_TOTALPAID'
        ,'TOTALPAID'
        ,'TRX_TOTALENTERED'
        ,'TOTALENTERED'
        ,'TRX_TOTALDUE'
        ,'TOTALDUE'
        ,'PAYMENTSTATUS'
        ,'SIGN_FLAG'
        ,'VSOEPRICELIST'
        ,'VSOEPRCLSTKEY'
        ,'ORIGDOCDATE'
        ,'HASADVBILLING'
        ,'INVOICERUN_EXPENSEPRICEMARKUP'
        ,'INVOICERUN_DESCRIPTION'
        ,'PROJECTKEY'
        ,'PROJECT'
        ,'PROJECTNAME'
        ,'CNCONTRACTKEY'
        ,'CNCONTRACTID'
        ,'CNCONTRACTNAME'
        ,'NEEDBYDATE'
        ,'SHIPBYDATE'
        ,'CANCELAFTERDATE'
        ,'DONOTSHIPBEFOREDATE'
        ,'DONOTSHIPAFTERDATE'
        ,'SERVICEDELIVERYDATE'
        ,'TRACKINGNUMBER'
        ,'SHIPPEDDATE'
        ,'CUSTOMERPONUMBER'
        ,'RETAINAGEPERCENTAGE'
        ,'SCOPE'
        ,'INCLUSIONS'
        ,'EXCLUSIONS'
        ,'TERMS'
        ,'SCHEDULESTARTDATE'
        ,'ACTUALSTARTDATE'
        ,'SCHEDULEDCOMPLETIONDATE'
        ,'REVISEDCOMPLETIONDATE'
        ,'SUBSTANTIALCOMPLETIONDATE'
        ,'ACTUALCOMPLETIONDATE'
        ,'NOTICETOPROCEED'
        ,'RESPONSEDUE'
        ,'EXECUTEDON'
        ,'SCHEDULEIMPACT'
        ,'INTERNALREFNO'
        ,'INTERNALINITIATEDBYKEY'
        ,'INTERNALINITIATEDBY'
        ,'INTERNALINITIATEDBYNAME'
        ,'INTERNALVERBALBYKEY'
        ,'INTERNALVERBALBY'
        ,'INTERNALVERBALBYNAME'
        ,'INTERNALISSUEDBYKEY'
        ,'INTERNALISSUEDBY'
        ,'INTERNALISSUEDBYNAME'
        ,'INTERNALISSUEDON'
        ,'INTERNALAPPROVEDBYKEY'
        ,'INTERNALAPPROVEDBY'
        ,'INTERNALAPPROVEDBYNAME'
        ,'INTERNALAPPROVEDON'
        ,'INTERNALSIGNEDBYKEY'
        ,'INTERNALSIGNEDBY'
        ,'INTERNALSIGNEDBYNAME'
        ,'INTERNALSIGNEDON'
        ,'INTERNALSOURCE'
        ,'INTERNALSOURCEREFNO'
        ,'EXTERNALREFNO'
        ,'EXTERNALVERBALBYKEY'
        ,'EXTERNALVERBALBY'
        ,'EXTERNALAPPROVEDBYKEY'
        ,'EXTERNALAPPROVEDBY'
        ,'EXTERNALAPPROVEDON'
        ,'EXTERNALSIGNEDBYKEY'
        ,'EXTERNALSIGNEDBY'
        ,'EXTERNALSIGNEDON'
        ,'PERFORMANCEBONDREQUIRED'
        ,'PERFORMANCEBONDRECEIVED'
        ,'PERFORMANCEBONDAMOUNT'
        ,'PERFORMANCESURETYCOMPANYKEY'
        ,'PERFORMANCESURETYCOMPANY'
        ,'PERFORMANCESURETYCOMPANYNAME'
        ,'PAYMENTBONDREQUIRED'
        ,'PAYMENTBONDRECEIVED'
        ,'PAYMENTBONDAMOUNT'
        ,'PAYMENTSURETYCOMPANYKEY'
        ,'PAYMENTSURETYCOMPANY'
        ,'PAYMENTSURETYCOMPANYNAME'
        ,'HASCHANGE'
        ,'REVISEDTOTAL'
        ,'REVISEDSUBTOTAL'
        ,'TRX_REVISEDTOTAL'
        ,'TRX_REVISEDSUBTOTAL'
        ,'POSTEDCHANGESTOTAL'
        ,'RELATEDDOCNO'
        ,'CHANGELOGNUMBER'
        ,'PROJECTCONTRACTID'
        ,'PROJECTCONTRACTNAME'
        ,'PROJECTCONTRACTKEY'
        ,'PCBEXTERNALREFNO'
        ,'PCBDESCRIPTION'
        ,'PCBDATE'
        ,'ARCHITECTKEY'
        ,'BILLTHROUGHDATE'
        ,'BILLAPPLICATIONNO'
        ,'ORGCONTRACTAMT'
        ,'NETCHANGES'
        ,'REVISEDCONTRACTAMT'
        ,'TOTALCOMPLETEDTODATE'
        ,'RETCOMPLETEDAMT'
        ,'RETSTOREDMATERIALS'
        ,'TOTALRETAINAGE'
        ,'TOTALEARNEDLESSRET'
        ,'LESSPRIORAPPLICATION'
        ,'CURRENTAMTDUE'
        ,'BALANCETOFINISH'
        ,'TCAPMADDITION'
        ,'TCAPMDEDUCTION'
        ,'TCATMADDITION'
        ,'TCATMDEDUCTION'
        ,'TOTALNETCHANGESADDITION'
        ,'TOTALNETCHANGESDEDUCTION'
        ,'TOTALNETCHANGES'
        ,'ARCHITECT'
        ,'PROJECTCONTRACTTOTALRETAINAGEHELD'
        ,'PREVIOUSRETAINAGEBALANCE'
        ,'TOTALRETAINAGEONTHISINVOICE'
        ,'RETAINAGEBILLED'
        ,'RETAINAGEBALANCE'
        ,'RETAINAGEHELD'
        ,'TOTALLESSRETAINAGEHELD'
        ,'MEGAENTITYKEY'
        ,'MEGAENTITYID'
    ],
    "PODOCUMENT":
    [
        'RECORDNO'
        ,'DOCNO'
        ,'DOCID'
        ,'CREATEDFROM'
        ,'SOURCEDOCKEY'
        ,'SOURCEDOCPARID'
        ,'STATE'
        ,'CLOSED'
        ,'WHENCREATED'
        ,'AUWHENCREATED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'WHENMODIFIED'
        ,'WHENDUE'
        ,'STATUS'
        ,'PONUMBER'
        ,'VENDORDOCNO'
        ,'DOCPARID'
        ,'DOCPARKEY'
        ,'DOCPARCLASS'
        ,'UPDATES_INV'
        ,'TERMKEY'
        ,'TERM.NAME'
        ,'NOTE'
        ,'WAREHOUSE.LOCATIONID'
        ,'SHIPVIAKEY'
        ,'SHIPVIA'
        ,'USER'
        ,'CREATEDUSER'
        ,'USERID'
        ,'CREATEDUSERID'
        ,'CONTACTKEY'
        ,'MELOCATIONKEY'
        ,'CONTACT.CONTACTNAME'
        ,'CONTACT.PREFIX'
        ,'CONTACT.FIRSTNAME'
        ,'CONTACT.INITIAL'
        ,'CONTACT.LASTNAME'
        ,'CONTACT.COMPANYNAME'
        ,'CONTACT.PRINTAS'
        ,'CONTACT.PHONE1'
        ,'CONTACT.PHONE2'
        ,'CONTACT.CELLPHONE'
        ,'CONTACT.PAGER'
        ,'CONTACT.FAX'
        ,'CONTACT.EMAIL1'
        ,'CONTACT.EMAIL2'
        ,'CONTACT.URL1'
        ,'CONTACT.URL2'
        ,'CONTACT.VISIBLE'
        ,'CONTACT.MAILADDRESS.ADDRESS1'
        ,'CONTACT.MAILADDRESS.ADDRESS2'
        ,'CONTACT.MAILADDRESS.ADDRESS3'
        ,'CONTACT.MAILADDRESS.CITY'
        ,'CONTACT.MAILADDRESS.STATE'
        ,'CONTACT.MAILADDRESS.ZIP'
        ,'CONTACT.MAILADDRESS.COUNTRY'
        ,'CONTACT.MAILADDRESS.COUNTRYCODE'
        ,'SHIPTOKEY'
        ,'SHIPTO.CONTACTNAME'
        ,'SHIPTO.PREFIX'
        ,'SHIPTO.FIRSTNAME'
        ,'SHIPTO.INITIAL'
        ,'SHIPTO.LASTNAME'
        ,'SHIPTO.COMPANYNAME'
        ,'SHIPTO.PRINTAS'
        ,'SHIPTO.PHONE1'
        ,'SHIPTO.PHONE2'
        ,'SHIPTO.CELLPHONE'
        ,'SHIPTO.PAGER'
        ,'SHIPTO.FAX'
        ,'SHIPTO.EMAIL1'
        ,'SHIPTO.EMAIL2'
        ,'SHIPTO.URL1'
        ,'SHIPTO.URL2'
        ,'SHIPTO.VISIBLE'
        ,'SHIPTO.MAILADDRESS.ADDRESS1'
        ,'SHIPTO.MAILADDRESS.ADDRESS2'
        ,'SHIPTO.MAILADDRESS.ADDRESS3'
        ,'SHIPTO.MAILADDRESS.CITY'
        ,'SHIPTO.MAILADDRESS.STATE'
        ,'SHIPTO.MAILADDRESS.ZIP'
        ,'SHIPTO.MAILADDRESS.COUNTRY'
        ,'SHIPTO.MAILADDRESS.COUNTRYCODE'
        ,'BILLTOKEY'
        ,'BILLTO.CONTACTNAME'
        ,'BILLTO.PREFIX'
        ,'BILLTO.FIRSTNAME'
        ,'BILLTO.INITIAL'
        ,'BILLTO.LASTNAME'
        ,'BILLTO.COMPANYNAME'
        ,'BILLTO.PRINTAS'
        ,'BILLTO.PHONE1'
        ,'BILLTO.PHONE2'
        ,'BILLTO.CELLPHONE'
        ,'BILLTO.PAGER'
        ,'BILLTO.FAX'
        ,'BILLTO.EMAIL1'
        ,'BILLTO.EMAIL2'
        ,'BILLTO.URL1'
        ,'BILLTO.URL2'
        ,'BILLTO.VISIBLE'
        ,'BILLTO.MAILADDRESS.ADDRESS1'
        ,'BILLTO.MAILADDRESS.ADDRESS2'
        ,'BILLTO.MAILADDRESS.ADDRESS3'
        ,'BILLTO.MAILADDRESS.CITY'
        ,'BILLTO.MAILADDRESS.STATE'
        ,'BILLTO.MAILADDRESS.ZIP'
        ,'BILLTO.MAILADDRESS.COUNTRY'
        ,'BILLTO.MAILADDRESS.COUNTRYCODE'
        ,'MESSAGE'
        ,'INVBATCHKEY'
        ,'PRINVBATCHKEY'
        ,'ADDGLBATCHKEY'
        ,'PRINTED'
        ,'BACKORDER'
        ,'SUBTOTAL'
        ,'TOTAL'
        ,'ENTGLGROUP'
        ,'CURRENCY'
        ,'EXCHRATEDATE'
        ,'EXCHRATETYPES.NAME'
        ,'EXCHRATE'
        ,'SCHOPKEY'
        ,'SALESCONTRACT'
        ,'USEDASCONTRACT'
        ,'TRX_SUBTOTAL'
        ,'TRX_TOTAL'
        ,'EXCH_RATE_TYPE_ID'
        ,'RENEWEDDOC'
        ,'BASECURR'
        ,'SYSTEMGENERATED'
        ,'INVOICERUNKEY'
        ,'DOCPAR_IN_OUT'
        ,'WHENPOSTED'
        ,'PRINTEDUSERID'
        ,'DATEPRINTED'
        ,'PRINTEDBY'
        ,'ADJ'
        ,'TAXSOLUTIONKEY'
        ,'TAXSOLUTIONID'
        ,'SHOWMULTILINETAX'
        ,'TAXMETHOD'
        ,'DOCSOURCE'
        ,'DELIVERTOKEY'
        ,'DELIVERTO.CONTACTNAME'
        ,'DELIVERTO.COMPANYNAME'
        ,'DELIVERTO.PREFIX'
        ,'DELIVERTO.FIRSTNAME'
        ,'DELIVERTO.LASTNAME'
        ,'DELIVERTO.INITIAL'
        ,'DELIVERTO.PRINTAS'
        ,'DELIVERTO.PHONE1'
        ,'DELIVERTO.PHONE2'
        ,'DELIVERTO.CELLPHONE'
        ,'DELIVERTO.PAGER'
        ,'DELIVERTO.FAX'
        ,'DELIVERTO.EMAIL1'
        ,'DELIVERTO.EMAIL2'
        ,'DELIVERTO.URL1'
        ,'DELIVERTO.URL2'
        ,'DELIVERTO.VISIBLE'
        ,'DELIVERTO.MAILADDRESS.ADDRESS1'
        ,'DELIVERTO.MAILADDRESS.ADDRESS2'
        ,'DELIVERTO.MAILADDRESS.ADDRESS3'
        ,'DELIVERTO.MAILADDRESS.CITY'
        ,'DELIVERTO.MAILADDRESS.STATE'
        ,'DELIVERTO.MAILADDRESS.ZIP'
        ,'DELIVERTO.MAILADDRESS.COUNTRY'
        ,'DELIVERTO.MAILADDRESS.COUNTRYCODE'
        ,'RETAINAGEPERCENTAGE'
        ,'SCOPE'
        ,'INCLUSIONS'
        ,'EXCLUSIONS'
        ,'TERMS'
        ,'SCHEDULESTARTDATE'
        ,'ACTUALSTARTDATE'
        ,'SCHEDULEDCOMPLETIONDATE'
        ,'REVISEDCOMPLETIONDATE'
        ,'SUBSTANTIALCOMPLETIONDATE'
        ,'ACTUALCOMPLETIONDATE'
        ,'NOTICETOPROCEED'
        ,'RESPONSEDUE'
        ,'EXECUTEDON'
        ,'SCHEDULEIMPACT'
        ,'INTERNALREFNO'
        ,'INTERNALINITIATEDBYKEY'
        ,'INTERNALINITIATEDBY'
        ,'INTERNALINITIATEDBYNAME'
        ,'INTERNALVERBALBYKEY'
        ,'INTERNALVERBALBY'
        ,'INTERNALVERBALBYNAME'
        ,'INTERNALISSUEDBYKEY'
        ,'INTERNALISSUEDBY'
        ,'INTERNALISSUEDBYNAME'
        ,'INTERNALISSUEDON'
        ,'INTERNALAPPROVEDBYKEY'
        ,'INTERNALAPPROVEDBY'
        ,'INTERNALAPPROVEDBYNAME'
        ,'INTERNALAPPROVEDON'
        ,'INTERNALSIGNEDBYKEY'
        ,'INTERNALSIGNEDBY'
        ,'INTERNALSIGNEDBYNAME'
        ,'INTERNALSIGNEDON'
        ,'INTERNALSOURCE'
        ,'INTERNALSOURCEREFNO'
        ,'EXTERNALREFNO'
        ,'EXTERNALVERBALBYKEY'
        ,'EXTERNALVERBALBY'
        ,'EXTERNALAPPROVEDBYKEY'
        ,'EXTERNALAPPROVEDBY'
        ,'EXTERNALAPPROVEDON'
        ,'EXTERNALSIGNEDBYKEY'
        ,'EXTERNALSIGNEDBY'
        ,'EXTERNALSIGNEDON'
        ,'PERFORMANCEBONDREQUIRED'
        ,'PERFORMANCEBONDRECEIVED'
        ,'PERFORMANCEBONDAMOUNT'
        ,'PERFORMANCESURETYCOMPANYKEY'
        ,'PERFORMANCESURETYCOMPANY'
        ,'PERFORMANCESURETYCOMPANYNAME'
        ,'PAYMENTBONDREQUIRED'
        ,'PAYMENTBONDRECEIVED'
        ,'PAYMENTBONDAMOUNT'
        ,'PAYMENTSURETYCOMPANYKEY'
        ,'PAYMENTSURETYCOMPANY'
        ,'PAYMENTSURETYCOMPANYNAME'
        ,'HASCHANGE'
        ,'REVISEDTOTAL'
        ,'REVISEDSUBTOTAL'
        ,'TRX_REVISEDTOTAL'
        ,'TRX_REVISEDSUBTOTAL'
        ,'POSTEDCHANGESTOTAL'
        ,'RELATEDDOCNO'
        ,'CHANGELOGNUMBER'
        ,'PROJECTKEY'
        ,'PROJECT'
        ,'PROJECTNAME'
        ,'UPLOADSTATUS'
        ,'UPLOADFILEISSUE'
        ,'POMATCHSENDEREMAIL'
        ,'POMATCHRECEIPTEMAIL'
        ,'CUSTVENDID'
        ,'CUSTVENDNAME'
        ,'VENDREC'
        ,'PRRECORDKEY'
        ,'TRX_TOTALPAID'
        ,'TOTALPAID'
        ,'TRX_TOTALENTERED'
        ,'TOTALENTERED'
        ,'TRX_TOTALDUE'
        ,'TOTALDUE'
        ,'PAYMENTSTATUS'
        ,'NEEDBYDATE'
        ,'DONOTSHIPBEFOREDATE'
        ,'DONOTSHIPAFTERDATE'
        ,'PROMISEDDATE'
        ,'CONTRACTSTARTDATE'
        ,'CONTRACTENDDATE'
        ,'CANCELAFTERDATE'
        ,'DRAFTCHANGEAMOUNTTOTAL'
        ,'ORIGINALAMOUNT'
        ,'TOTALQTY_CONVERTED'
        ,'TOTALPRICE_CONVERTED'
        ,'TOTALAMOUNTCONVERTED'
        ,'TOTALAMOUNTREMAINING'
        ,'TOTALQTYREMAINING'
        ,'RELATED_SCHEDULESTARTDATE'
        ,'RELATED_ACTUALSTARTDATE'
        ,'RELATED_REVISEDCOMPLETIONDATE'
        ,'RELATED_INTERNALREFNO'
        ,'RELATED_INTERNALAPPROVEDON'
        ,'RELATED_INTERNALAPPROVEDBY'
        ,'RELATED_EXTERNALREFNO'
        ,'RELATED_EXTERNALAPPROVEDBY'
        ,'RELATED_EXTERNALAPPROVEDON'
        ,'MEGAENTITYKEY'
        ,'MEGAENTITYID'
        ,'MEGAENTITYNAME'
    ],
    "PODOCUMENTENTRY":
    [
        'RECORDNO'
        ,'DOCHDRNO'
        ,'DOCHDRID'
        ,'DOCPARID'
        ,'HEADERDOCPARID'
        ,'SALE_PUR_TRANS'
        ,'BUNDLENUMBER'
        ,'LINE_NO'
        ,'ITEMDIMKEY'
        ,'ITEMID'
        ,'ITEMNAME'
        ,'ITEMDESC'
        ,'UNIT'
        ,'WAREHOUSE.LOCATION_NO'
        ,'WAREHOUSE.NAME'
        ,'WAREHOUSEDIMKEY'
        ,'MEMO'
        ,'PRICECALCMEMO'
        ,'QUANTITY'
        ,'QTY_CONVERTED'
        ,'RETAILPRICE'
        ,'PRICE'
        ,'TOTAL'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'AUWHENCREATED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'ITEM.TAXABLE'
        ,'ITEM.TAXGROUP.RECORDNO'
        ,'ITEM.RENEWALMACRO.MACROID'
        ,'EXTENDED_DESCRIPTION'
        ,'ITEMGLGROUP'
        ,'ITEMGLGROUPKEY'
        ,'ITEMGLGROUPNAME'
        ,'STATE'
        ,'STATUS'
        ,'COST'
        ,'COST_METHOD'
        ,'UIQTY'
        ,'DISCOUNTPERCENT'
        ,'MULTIPLIER'
        ,'UIPRICE'
        ,'UIVALUE'
        ,'LOCATIONID'
        ,'LOCATIONNAME'
        ,'DEPARTMENTID'
        ,'DEPARTMENTNAME'
        ,'DEPTKEY'
        ,'LOCATIONKEY'
        ,'TIMETYPEKEY'
        ,'TIMETYPENAME'
        ,'TIMENOTES'
        ,'EEACCOUNTLABELKEY'
        ,'EEACCOUNTLABEL'
        ,'SOURCE_DOCKEY'
        ,'SOURCE_DOCLINEKEY'
        ,'ADJDOCHDRKEY'
        ,'ADJDOCENTRYKEY'
        ,'REVRECTEMPLATE'
        ,'REVRECTEMPLATEKEY'
        ,'REVRECSTARTDATE'
        ,'ITEMTERM'
        ,'TERMPERIOD'
        ,'REVRECENDDATE'
        ,'PRORATEPRICE'
        ,'DEFERREVENUE'
        ,'SC_REVRECTEMPLATE'
        ,'SC_REVRECTEMPLATEKEY'
        ,'SC_REVRECSTARTDATE'
        ,'SC_REVRECENDDATE'
        ,'SC_STARTDATE'
        ,'ITEM.ITEMTYPE'
        ,'ITEM.NUMDEC_SALE'
        ,'ITEM.NUMDEC_STD'
        ,'ITEM.NUMDEC_PUR'
        ,'ITEM.REVPOSTING'
        ,'ITEM.COMPUTEFORSHORTTERM'
        ,'ITEM.RENEWALMACROKEY'
        ,'ITEM.UOMGRPKEY'
        ,'ITEM.DROPSHIP'
        ,'ITEM.BUYTOORDER'
        ,'DISCOUNT_MEMO'
        ,'ITEM.REVPRINTING'
        ,'CURRENCY'
        ,'BASECURR'
        ,'EXCHRATEDATE'
        ,'EXCHRATETYPE'
        ,'EXCHRATE'
        ,'TRX_PRICE'
        ,'TRX_VALUE'
        ,'SCHEDULENAME'
        ,'SCHEDULEID'
        ,'RECURDOCNAME'
        ,'RECURDOCID'
        ,'RECURDOCENTRYKEY'
        ,'RENEWALMACRO'
        ,'RENEWALMACROKEY'
        ,'OVERRIDETAX'
        ,'SC_CREATERECURSCHED'
        ,'SC_EXISTINGSCHED'
        ,'SC_EXTENDLINEPERIOD'
        ,'SC_INSTALLPRICING'
        ,'RECURCONTRACTID'
        ,'SOURCE_DOCID'
        ,'SOURCEDOCPARID'
        ,'BILLABLE'
        ,'BILLED'
        ,'BILLABLETIMEENTRYKEY'
        ,'BILLABLEGLENTRYKEY'
        ,'BILLABLEPRENTRYKEY'
        ,'BILLABLEDOCENTRYKEY'
        ,'BILLABLECONTRACTSCHENTRYKEY'
        ,'BILLABLECONTRACTUSAGEBILLINGID'
        ,'FORM1099'
        ,'PERCENTVAL'
        ,'TAXABSVAL'
        ,'TAXABLEAMOUNT'
        ,'LINETOTAL'
        ,'DISCOUNT'
        ,'TRX_TAXABSVAL'
        ,'TRX_LINETOTAL'
        ,'TAXVALOVERRIDE'
        ,'FORM1099TYPE'
        ,'FORM1099BOX'
        ,'PRICE_CONVERTED'
        ,'CONVERSIONTYPE'
        ,'QTYTOLERANCEVARIANCE'
        ,'PRICETOLERANCEVARIANCE'
        ,'PAYMENTTAXCAPTURE'
        ,'WORKKEY'
        ,'QUANTITYRESERVED'
        ,'QUANTITYALLOCATED'
        ,'QUANTITYRESERVEDWHENOPEN'
        ,'QUANTITYALLOCATEDWHENOPEN'
        ,'ALLOCRESERVEISENABLED'
        ,'PROJECTKEY'
        ,'PROJECTID'
        ,'PROJECTNAME'
        ,'TASKKEY'
        ,'TASKID'
        ,'TASKNAME'
        ,'BILLINGTEMPLATEKEY'
        ,'BILLINGTEMPLATE'
        ,'BILLINGSCHEDULEKEY'
        ,'BILLINGSCHEDULEENTRY.PERCENTCOMPLETED'
        ,'BILLINGSCHEDULEENTRY.PERCENTBILLED'
        ,'BILLINGSCHEDULEENTRY.BILLEDQTY'
        ,'BILLINGSCHEDULEENTRY.ESTQTY'
        ,'BILLINGSCHEDULEENTRY.TRUNCPERCENTCOMPLETED'
        ,'BILLINGSCHEDULEENTRY.BILLINGTEMPLATEENTRYKEY'
        ,'BILLINGSCHEDULEENTRY.BILLINGSCHEDULEKEY'
        ,'LINELEVELSIMPLETAXTYPE'
        ,'LCCATKEY'
        ,'NEEDBYDATE'
        ,'DONOTSHIPBEFOREDATE'
        ,'DONOTSHIPAFTERDATE'
        ,'PROMISEDDATE'
        ,'DATECONFIRMED'
        ,'CANCELAFTERDATE'
        ,'DATESHIPTOSUPPLIER'
        ,'RELATEDDOCKEY'
        ,'RELATEDDOCLINEKEY'
        ,'REVISEDUNITQTY'
        ,'REVISEDQTY'
        ,'DRAFTCHANGEUNITQTY'
        ,'DRAFTCHANGEQTY'
        ,'REVISEDUNITVALUE'
        ,'REVISEDVALUE'
        ,'TRX_REVISEDVALUE'
        ,'REVISEDPRICE'
        ,'REVISEDUNITPRICE'
        ,'TRX_REVISEDPRICE'
        ,'RELATEDDOCNO'
        ,'RELATEDDOCLINENO'
        ,'RELATEDDOCLINENUM'
        ,'DRAFTCHANGEPRICE'
        ,'POSTEDQTYCHANGES'
        ,'POSTEDCHANGEEXTPRICE'
        ,'POSTEDCHANGEEXTBASEPRICE'
        ,'RELATEDDOCUIQTY'
        ,'RELATEDDOCTRX_VALUE'
        ,'RELATEDDOCUIVALUE'
        ,'PARTIALEXEMPT'
        ,'PRIMARYDOCKEY'
        ,'PRIMARYDOCLINEKEY'
        ,'ADDEDBYCHANGE'
        ,'DRAFTCHANGEBASEPRICE'
        ,'REVERSECONVERSION'
        ,'REVERSEPRICECONVERTED'
        ,'REVERSEQTYCONVERTED'
        ,'STDPRICECONVERTED'
        ,'STDQTYCONVERTED'
        ,'SOURCEDOCID'
        ,'SOURCEDOCLINEID'
        ,'SOURCEDOCLINENO'
        ,'SOURCEDOCITEM'
        ,'DOCSTATE'
        ,'EXTENDEDPRICENETRETAINAGE'
        ,'EXTENDEDBASEPRICENETRETAINAGE'
        ,'DELIVERTOKEY'
        ,'DELIVERTO.CONTACTNAME'
        ,'DELIVERTO.PREFIX'
        ,'DELIVERTO.FIRSTNAME'
        ,'DELIVERTO.INITIAL'
        ,'DELIVERTO.LASTNAME'
        ,'DELIVERTO.COMPANYNAME'
        ,'DELIVERTO.PRINTAS'
        ,'DELIVERTO.PHONE1'
        ,'DELIVERTO.PHONE2'
        ,'DELIVERTO.CELLPHONE'
        ,'DELIVERTO.PAGER'
        ,'DELIVERTO.FAX'
        ,'DELIVERTO.EMAIL1'
        ,'DELIVERTO.EMAIL2'
        ,'DELIVERTO.URL1'
        ,'DELIVERTO.URL2'
        ,'DELIVERTO.VISIBLE'
        ,'DELIVERTO.MAILADDRESS.ADDRESS1'
        ,'DELIVERTO.MAILADDRESS.ADDRESS2'
        ,'DELIVERTO.MAILADDRESS.CITY'
        ,'DELIVERTO.MAILADDRESS.STATE'
        ,'DELIVERTO.MAILADDRESS.ZIP'
        ,'DELIVERTO.MAILADDRESS.COUNTRY'
        ,'DELIVERTO.MAILADDRESS.COUNTRYCODE'
        ,'STOCK_NUMBER'
        ,'RETAINAGEPERCENTAGE'
        ,'AMOUNTRETAINED'
        ,'TRX_AMOUNTRETAINED'
        ,'ALLOCATION'
        ,'ALLOCATIONKEY'
        ,'ITEMALIASID'
        ,'ITEMALIASKEY'
        ,'TOTAL_AMOUNT_CONVERTED'
        ,'TOTAL_AMOUNT_REMAINING'
        ,'QTY_REMAINING'
        ,'OUTLIERALERT'
        ,'PROJECTDIMKEY'
        ,'EMPLOYEEDIMKEY'
        ,'EMPLOYEEID'
        ,'EMPLOYEENAME'
        ,'CLASSDIMKEY'
        ,'CLASSID'
        ,'CLASSNAME'
    ],
    "INVDOCUMENT":
    [
        'RECORDNO'
        ,'DOCNO'
        ,'DOCID'
        ,'CREATEDFROM'
        ,'STATE'
        ,'CLOSED'
        ,'WHENCREATED'
        ,'AUWHENCREATED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'WHENMODIFIED'
        ,'WHENDUE'
        ,'STATUS'
        ,'PONUMBER'
        ,'VENDORDOCNO'
        ,'DOCPARID'
        ,'DOCPARKEY'
        ,'DOCPARCLASS'
        ,'UPDATES_INV'
        ,'TERM.NAME'
        ,'NOTE'
        ,'WAREHOUSE.LOCATIONID'
        ,'SHIPVIA'
        ,'USER'
        ,'CREATEDUSER'
        ,'USERID'
        ,'CREATEDUSERID'
        ,'CONTACT.CONTACTNAME'
        ,'CONTACT.PREFIX'
        ,'CONTACT.FIRSTNAME'
        ,'CONTACT.INITIAL'
        ,'CONTACT.LASTNAME'
        ,'CONTACT.COMPANYNAME'
        ,'CONTACT.PRINTAS'
        ,'CONTACT.PHONE1'
        ,'CONTACT.PHONE2'
        ,'CONTACT.CELLPHONE'
        ,'CONTACT.PAGER'
        ,'CONTACT.FAX'
        ,'CONTACT.EMAIL1'
        ,'CONTACT.EMAIL2'
        ,'CONTACT.URL1'
        ,'CONTACT.URL2'
        ,'CONTACT.VISIBLE'
        ,'CONTACT.MAILADDRESS.ADDRESS1'
        ,'CONTACT.MAILADDRESS.ADDRESS2'
        ,'CONTACT.MAILADDRESS.ADDRESS3'
        ,'CONTACT.MAILADDRESS.CITY'
        ,'CONTACT.MAILADDRESS.STATE'
        ,'CONTACT.MAILADDRESS.ZIP'
        ,'CONTACT.MAILADDRESS.COUNTRY'
        ,'CONTACT.MAILADDRESS.COUNTRYCODE'
        ,'SHIPTOKEY'
        ,'SHIPTO.CONTACTNAME'
        ,'SHIPTO.PREFIX'
        ,'SHIPTO.FIRSTNAME'
        ,'SHIPTO.INITIAL'
        ,'SHIPTO.LASTNAME'
        ,'SHIPTO.COMPANYNAME'
        ,'SHIPTO.PRINTAS'
        ,'SHIPTO.PHONE1'
        ,'SHIPTO.PHONE2'
        ,'SHIPTO.CELLPHONE'
        ,'SHIPTO.PAGER'
        ,'SHIPTO.FAX'
        ,'SHIPTO.EMAIL1'
        ,'SHIPTO.EMAIL2'
        ,'SHIPTO.URL1'
        ,'SHIPTO.URL2'
        ,'SHIPTO.VISIBLE'
        ,'SHIPTO.MAILADDRESS.ADDRESS1'
        ,'SHIPTO.MAILADDRESS.ADDRESS2'
        ,'SHIPTO.MAILADDRESS.ADDRESS3'
        ,'SHIPTO.MAILADDRESS.CITY'
        ,'SHIPTO.MAILADDRESS.STATE'
        ,'SHIPTO.MAILADDRESS.ZIP'
        ,'SHIPTO.MAILADDRESS.COUNTRY'
        ,'SHIPTO.MAILADDRESS.COUNTRYCODE'
        ,'BILLTOKEY'
        ,'BILLTO.CONTACTNAME'
        ,'BILLTO.PREFIX'
        ,'BILLTO.FIRSTNAME'
        ,'BILLTO.INITIAL'
        ,'BILLTO.LASTNAME'
        ,'BILLTO.COMPANYNAME'
        ,'BILLTO.PRINTAS'
        ,'BILLTO.PHONE1'
        ,'BILLTO.PHONE2'
        ,'BILLTO.CELLPHONE'
        ,'BILLTO.PAGER'
        ,'BILLTO.FAX'
        ,'BILLTO.EMAIL1'
        ,'BILLTO.EMAIL2'
        ,'BILLTO.URL1'
        ,'BILLTO.URL2'
        ,'BILLTO.VISIBLE'
        ,'BILLTO.MAILADDRESS.ADDRESS1'
        ,'BILLTO.MAILADDRESS.ADDRESS2'
        ,'BILLTO.MAILADDRESS.ADDRESS3'
        ,'BILLTO.MAILADDRESS.CITY'
        ,'BILLTO.MAILADDRESS.STATE'
        ,'BILLTO.MAILADDRESS.ZIP'
        ,'BILLTO.MAILADDRESS.COUNTRY'
        ,'BILLTO.MAILADDRESS.COUNTRYCODE'
        ,'MESSAGE'
        ,'INVBATCHKEY'
        ,'PRINVBATCHKEY'
        ,'ADDGLBATCHKEY'
        ,'PRINTED'
        ,'BACKORDER'
        ,'SUBTOTAL'
        ,'TOTAL'
        ,'ENTGLGROUP'
        ,'CURRENCY'
        ,'EXCHRATEDATE'
        ,'EXCHRATETYPES.NAME'
        ,'EXCHRATE'
        ,'SCHOPKEY'
        ,'SALESCONTRACT'
        ,'USEDASCONTRACT'
        ,'TRX_SUBTOTAL'
        ,'TRX_TOTAL'
        ,'EXCH_RATE_TYPE_ID'
        ,'RENEWEDDOC'
        ,'BASECURR'
        ,'SYSTEMGENERATED'
        ,'INVOICERUNKEY'
        ,'DOCPAR_IN_OUT'
        ,'WHENPOSTED'
        ,'PRINTEDUSERID'
        ,'DATEPRINTED'
        ,'PRINTEDBY'
        ,'ADJ'
        ,'TAXSOLUTIONID'
        ,'DOCSOURCE'
        ,'MEGAENTITYKEY'
        ,'MEGAENTITYID'
        ,'MEGAENTITYNAME'
        ,'RECORD_URL'
    ],
    "INVDOCUMENTENTRY":
    [
        'RECORDNO'
        ,'DOCHDRNO'
        ,'DOCHDRID'
        ,'DOCPARID'
        ,'HEADERDOCPARID'
        ,'SALE_PUR_TRANS'
        ,'BUNDLENUMBER'
        ,'LINE_NO'
        ,'ITEMDIMKEY'
        ,'ITEMID'
        ,'ITEMNAME'
        ,'ITEMDESC'
        ,'UNIT'
        ,'WAREHOUSE.LOCATION_NO'
        ,'WAREHOUSE.NAME'
        ,'WAREHOUSEDIMKEY'
        ,'MEMO'
        ,'PRICECALCMEMO'
        ,'QUANTITY'
        ,'QTY_CONVERTED'
        ,'RETAILPRICE'
        ,'PRICE'
        ,'TOTAL'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'AUWHENCREATED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'ITEM.TAXABLE'
        ,'ITEM.TAXGROUP.RECORDNO'
        ,'ITEM.RENEWALMACRO.MACROID'
        ,'EXTENDED_DESCRIPTION'
        ,'ITEMGLGROUP'
        ,'ITEMGLGROUPKEY'
        ,'ITEMGLGROUPNAME'
        ,'STATE'
        ,'STATUS'
        ,'COST'
        ,'COST_METHOD'
        ,'UIQTY'
        ,'DISCOUNTPERCENT'
        ,'MULTIPLIER'
        ,'UIPRICE'
        ,'UIVALUE'
        ,'LOCATIONID'
        ,'LOCATIONNAME'
        ,'DEPARTMENTID'
        ,'DEPARTMENTNAME'
        ,'DEPTKEY'
        ,'LOCATIONKEY'
        ,'TIMETYPEKEY'
        ,'TIMETYPENAME'
        ,'TIMENOTES'
        ,'EEACCOUNTLABELKEY'
        ,'EEACCOUNTLABEL'
        ,'SOURCE_DOCKEY'
        ,'SOURCE_DOCLINEKEY'
        ,'ADJDOCHDRKEY'
        ,'ADJDOCENTRYKEY'
        ,'REVRECTEMPLATE'
        ,'REVRECTEMPLATEKEY'
        ,'REVRECSTARTDATE'
        ,'ITEMTERM'
        ,'TERMPERIOD'
        ,'REVRECENDDATE'
        ,'PRORATEPRICE'
        ,'DEFERREVENUE'
        ,'SC_REVRECTEMPLATE'
        ,'SC_REVRECTEMPLATEKEY'
        ,'SC_REVRECSTARTDATE'
        ,'SC_REVRECENDDATE'
        ,'SC_STARTDATE'
        ,'ITEM.ITEMTYPE'
        ,'ITEM.NUMDEC_SALE'
        ,'ITEM.NUMDEC_STD'
        ,'ITEM.NUMDEC_PUR'
        ,'ITEM.REVPOSTING'
        ,'ITEM.COMPUTEFORSHORTTERM'
        ,'ITEM.RENEWALMACROKEY'
        ,'ITEM.UOMGRPKEY'
        ,'ITEM.DROPSHIP'
        ,'ITEM.BUYTOORDER'
        ,'DISCOUNT_MEMO'
        ,'ITEM.REVPRINTING'
        ,'CURRENCY'
        ,'BASECURR'
        ,'EXCHRATEDATE'
        ,'EXCHRATETYPE'
        ,'EXCHRATE'
        ,'TRX_PRICE'
        ,'TRX_VALUE'
        ,'SCHEDULENAME'
        ,'SCHEDULEID'
        ,'RECURDOCNAME'
        ,'RECURDOCID'
        ,'RECURDOCENTRYKEY'
        ,'RENEWALMACRO'
        ,'RENEWALMACROKEY'
        ,'OVERRIDETAX'
        ,'SC_CREATERECURSCHED'
        ,'SC_EXISTINGSCHED'
        ,'SC_EXTENDLINEPERIOD'
        ,'SC_INSTALLPRICING'
        ,'RECURCONTRACTID'
        ,'SOURCE_DOCID'
        ,'SOURCEDOCPARID'
        ,'BILLABLE'
        ,'BILLED'
        ,'BILLABLETIMEENTRYKEY'
        ,'BILLABLEGLENTRYKEY'
        ,'BILLABLEPRENTRYKEY'
        ,'BILLABLEDOCENTRYKEY'
        ,'BILLABLECONTRACTSCHENTRYKEY'
        ,'BILLABLECONTRACTUSAGEBILLINGID'
        ,'FORM1099'
        ,'PERCENTVAL'
        ,'TAXABSVAL'
        ,'TAXABLEAMOUNT'
        ,'LINETOTAL'
        ,'DISCOUNT'
        ,'TRX_TAXABSVAL'
        ,'TRX_LINETOTAL'
        ,'TAXVALOVERRIDE'
        ,'FORM1099TYPE'
        ,'FORM1099BOX'
        ,'PRICE_CONVERTED'
        ,'CONVERSIONTYPE'
        ,'PAYMENTTAXCAPTURE'
        ,'WORKKEY'
        ,'QUANTITYRESERVED'
        ,'QUANTITYALLOCATED'
        ,'QUANTITYRESERVEDWHENOPEN'
        ,'QUANTITYALLOCATEDWHENOPEN'
        ,'ALLOCRESERVEISENABLED'
        ,'PROJECTKEY'
        ,'PROJECTID'
        ,'PROJECTNAME'
        ,'TASKKEY'
        ,'TASKID'
        ,'TASKNAME'
        ,'BILLINGTEMPLATEKEY'
        ,'BILLINGTEMPLATE'
        ,'BILLINGSCHEDULEKEY'
        ,'BILLINGSCHEDULEENTRY.PERCENTCOMPLETED'
        ,'BILLINGSCHEDULEENTRY.PERCENTBILLED'
        ,'BILLINGSCHEDULEENTRY.BILLEDQTY'
        ,'BILLINGSCHEDULEENTRY.ESTQTY'
        ,'BILLINGSCHEDULEENTRY.TRUNCPERCENTCOMPLETED'
        ,'BILLINGSCHEDULEENTRY.BILLINGTEMPLATEENTRYKEY'
        ,'BILLINGSCHEDULEENTRY.BILLINGSCHEDULEKEY'
        ,'TOTAL_AMOUNT_CONVERTED'
        ,'TOTAL_AMOUNT_REMAINING'
        ,'QTY_REMAINING'
        ,'CLASSDIMKEY'
        ,'CLASSID'
        ,'CLASSNAME'
    ],
    "ITEMWAREHOUSEINFO":
    [
        'RECORDNO'
        ,'ITEMDIMKEY'
        ,'ITEMID'
        ,'WAREHOUSEDIMKEY'
        ,'WAREHOUSEID'
        ,'DEFAULT_SUBSECTION'
        ,'CYCLEKEY'
        ,'CYCLE'
        ,'STANDARD_COST'
        ,'LAST_COST'
        ,'AVERAGE_COST'
        ,'REORDER_METHOD'
        ,'ECONOMIC_ORDER_QTY'
        ,'REORDER_POINT'
        ,'REORDER_QTY'
        ,'MIN_ORDER_QTY'
        ,'MAX_ORDER_QTY'
        ,'MAX_STOCK'
        ,'MIN_STOCK'
        ,'DATE_LASTSOLD'
        ,'DATE_LASTRECEIVED'
        ,'DEFAULT_AISLE'
        ,'DEFAULT_ROW'
        ,'DEFAULT_BIN'
        ,'WONORDER'
        ,'WINTRANSIT'
        ,'WONHAND'
        ,'WONHOLD'
        ,'WRESERVED'
        ,'WALLOCATED'
        ,'WUNCOMMITTED'
        ,'WHSE_LOCATION_KEY'
        ,'WHSE_CURRENCY'
        ,'WHSE_LOCATION_ID'
        ,'SAFETY_STOCK'
        ,'REPLENISHMENT_METHOD'
        ,'ENABLE_REPLENISHMENT'
        ,'DEFAULT_AISLE_KEY'
        ,'DEFAULT_ROW_KEY'
        ,'DEFAULT_BIN_KEY'
    ],
    "GLRESOLVE":
    [
        'GLENTRYKEY'
        ,'PRENTRYKEY'
        ,'PRRECORDKEY'
        ,'DOCENTRYKEY'
        ,'SUBTOTKEY'
        ,'DOCHDRKEY'
        ,'TRX_AMOUNT'
        ,'CURRENCY'
        ,'AMOUNT'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'RECORD_URL'
    ],
    "ALLOCATION":
    [
        'RECORDNO'
        ,'ALLOCATIONID'
        ,'DESCRIPTION'
        ,'TYPE'
        ,'DOCNUMBER'
        ,'STATUS'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'MEGAENTITYKEY'
        ,'MEGAENTITYID'
        ,'MEGAENTITYNAME'
    ],
    "ALLOCATIONENTRY":
    [
        'RECORDNO'
        ,'ALLOCATIONKEY'
        ,'VALUETYPE'
        ,'VALUE'
        ,'LOCATIONID'
        ,'DEPARTMENTID'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'LINE_NO'
        ,'PROJECTDIMKEY'
        ,'PROJECTID'
        ,'PROJECTNAME'
        ,'CUSTOMERDIMKEY'
        ,'CUSTOMERID'
        ,'CUSTOMERNAME'
        ,'VENDORDIMKEY'
        ,'VENDORID'
        ,'VENDORNAME'
        ,'EMPLOYEEDIMKEY'
        ,'EMPLOYEEID'
        ,'EMPLOYEENAME'
        ,'ITEMDIMKEY'
        ,'ITEMID'
        ,'ITEMNAME'
        ,'CLASSDIMKEY'
        ,'CLASSID'
        ,'CLASSNAME'
        ,'WAREHOUSEDIMKEY'
        # ,'WAREHOUSEID'
        ,'WAREHOUSENAME'
        ,'TASKDIMKEY'
        ,'TASKID'
        ,'TASKNAME'
    ],
    "GLACCTGRP":
    [
        'RECORDNO'
        ,'NAME'
        ,'NORMAL_BALANCE'
        ,'ASOF'
        ,'INCLUDECHILDAMT'
        ,'TITLE'
        ,'TOTALTITLE'
        ,'DBCR'
        ,'FILTERDEPT'
        ,'FILTERLOC'
        ,'MEMBERTYPE'
        ,'DEPTNO'
        ,'LOCNO'
        ,'ISKPI'
        ,'FILTERVENDOR'
        ,'FILTERCUSTOMER'
        ,'FILTERPROJECT'
        ,'FILTEREMPLOYEE'
        ,'FILTERITEM'
        ,'FILTERCLASS'
        ,'FILTERCONTRACT'
        ,'FILTERTASK'
        ,'FILTERWAREHOUSE'
        ,'FILTERCOSTTYPE'
        ,'FILTERASSET'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'ACCTGROUPMANAGER'
        ,'GLACCTGRPPURPOSEID'
        ,'MEGAENTITYKEY'
        ,'MEGAENTITYID'
        ,'MEGAENTITYNAME'
        ,'PROJECTDIMKEY'
        ,'PROJECTID'
        ,'PROJECTNAME'
        ,'CUSTOMERDIMKEY'
        ,'CUSTOMERID'
        ,'CUSTOMERNAME'
        ,'VENDORDIMKEY'
        ,'VENDORID'
        ,'VENDORNAME'
        ,'EMPLOYEEDIMKEY'
        ,'EMPLOYEEID'
        ,'EMPLOYEENAME'
        ,'ITEMDIMKEY'
        ,'ITEMID'
        ,'ITEMNAME'
        ,'CLASSDIMKEY'
        ,'CLASSID'
        ,'CLASSNAME'
        ,'WAREHOUSEDIMKEY'
        ,'WAREHOUSEID'
        ,'WAREHOUSENAME'
        ,'TASKDIMKEY'
        ,'TASKID'
        ,'TASKNAME'
        ,'RECORDURL'
    ],
    "GLACCTGRPHIERARCHY":
    [
        'RECORDNO'
        ,'GLACCTGRPKEY'
        ,'GLACCTGRPNAME'
        ,'GLACCTGRPTITLE'
        ,'GLACCTGRPNORMALBALANCE'
        ,'GLACCTGRPMEMBERTYPE'
        ,'GLACCTGRPHOWCREATED'
        ,'GLACCTGRPLOCATIONKEY'
        ,'ACCOUNTKEY'
        ,'ACCOUNTNO'
        ,'ACCOUNTTITLE'
        ,'ACCOUNTNORMALBALANCE'
        ,'ACCOUNTTYPE'
        ,'ACCOUNTLOCATIONKEY'
    ],
    "GLACCOUNT":
    [
        'RECORDNO'
        ,'ACCOUNTNO'
        ,'TITLE'
        ,'ACCOUNTTYPE'
        ,'NORMALBALANCE'
        ,'CLOSINGTYPE'
        ,'CLOSINGACCOUNTNO'
        ,'CLOSINGACCOUNTTITLE'
        ,'STATUS'
        ,'REQUIREDEPT'
        ,'REQUIRELOC'
        ,'TAXABLE'
        ,'CATEGORYKEY'
        ,'CATEGORY'
        ,'TAXCODE'
        ,'MRCCODE'
        ,'CLOSETOACCTKEY'
        ,'ALTERNATIVEACCOUNT'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'SUBLEDGERCONTROLON'
        ,'MEGAENTITYKEY'
        ,'MEGAENTITYID'
        ,'MEGAENTITYNAME'
        ,'REQUIREPROJECT'
        ,'REQUIRECUSTOMER'
        ,'REQUIREVENDOR'
        ,'REQUIREEMPLOYEE'
        ,'REQUIREITEM'
        ,'REQUIRECLASS'
        ,'REQUIRETASK'
        ,'REQUIREWAREHOUSE'
    ],
    "GLBUDGETHEADER":
    [
        'RECORDNO'
        ,'BUDGETID'
        ,'DESCRIPTION'
        ,'SYSTEMGENERATED'
        ,'DEFAULT_BUDGET'
        ,'USER'
        ,'STATUS'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'ISCONSOLIDATED'
        ,'CURRENCY'
        ,'ISPABUDGET'
        ,'ISPCNBUDGET'
        ,'MEGAENTITYKEY'
        ,'MEGAENTITYID'
        ,'MEGAENTITYNAME'
    ],
    "GLBUDGETITEM":
    [
        'RECORDNO'
        ,'BUDGETKEY'
        ,'BUDGETID'
        ,'CURRENCY'
        ,'SYSTEMGENERATED'
        ,'PERIODKEY'
        ,'ACCOUNTKEY'
        ,'DEPTKEY'
        ,'LOCATIONKEY'
        ,'AMOUNT'
        ,'BASEDON'
        ,'GROWBY'
        ,'PERPERIOD'
        ,'NOTE'
        ,'ACCT_NO'
        ,'ACCOUNT_TYPE'
        ,'ACCTTITLE'
        ,'NORMALBALANCE'
        ,'STATISTICAL'
        ,'DEPT_NO'
        ,'DEPTITLE'
        ,'LOCATION_NO'
        ,'LOCATIONTITLE'
        ,'PERIODNAME'
        ,'REPORTINGPERIODNAME'
        ,'PSTARTDATE'
        ,'PENDDATE'
        ,'MEGAENTITYKEY'
        ,'MEGAENTITYID'
        ,'MEGAENTITYNAME'
        ,'PROJECTDIMKEY'
        ,'PROJECTID'
        ,'PROJECTNAME'
        ,'CUSTOMERDIMKEY'
        ,'CUSTOMERID'
        ,'CUSTOMERNAME'
        ,'VENDORDIMKEY'
        ,'VENDORID'
        ,'VENDORNAME'
        ,'EMPLOYEEDIMKEY'
        ,'EMPLOYEEID'
        ,'EMPLOYEENAME'
        ,'ITEMDIMKEY'
        ,'ITEMID'
        ,'ITEMNAME'
        ,'CLASSDIMKEY'
        ,'CLASSID'
        ,'CLASSNAME'
        ,'WAREHOUSEDIMKEY'
        ,'WAREHOUSEID'
        ,'WAREHOUSENAME'
        ,'TASKDIMKEY'
        ,'TASKID'
        ,'TASKNAME'
    ],
    "GLBUDGETITEMMARKETING":
    [
        'RECORDNO'
        ,'BUDGETKEY'
        ,'BUDGETID'
        ,'CURRENCY'
        ,'SYSTEMGENERATED'
        ,'PERIODKEY'
        ,'ACCOUNTKEY'
        ,'DEPTKEY'
        ,'LOCATIONKEY'
        ,'AMOUNT'
        ,'BASEDON'
        ,'GROWBY'
        ,'PERPERIOD'
        ,'NOTE'
        ,'ACCT_NO'
        ,'ACCOUNT_TYPE'
        ,'ACCTTITLE'
        ,'NORMALBALANCE'
        ,'STATISTICAL'
        ,'DEPT_NO'
        ,'DEPTITLE'
        ,'LOCATION_NO'
        ,'LOCATIONTITLE'
        ,'PERIODNAME'
        ,'REPORTINGPERIODNAME'
        ,'PSTARTDATE'
        ,'PENDDATE'
        ,'MEGAENTITYKEY'
        ,'MEGAENTITYID'
        ,'MEGAENTITYNAME'
        ,'PROJECTDIMKEY'
        ,'PROJECTID'
        ,'PROJECTNAME'
        ,'CUSTOMERDIMKEY'
        ,'CUSTOMERID'
        ,'CUSTOMERNAME'
        ,'VENDORDIMKEY'
        ,'VENDORID'
        ,'VENDORNAME'
        ,'EMPLOYEEDIMKEY'
        ,'EMPLOYEEID'
        ,'EMPLOYEENAME'
        ,'ITEMDIMKEY'
        ,'ITEMID'
        ,'ITEMNAME'
        ,'CLASSDIMKEY'
        ,'CLASSID'
        ,'CLASSNAME'
        ,'WAREHOUSEDIMKEY'
        ,'WAREHOUSEID'
        ,'WAREHOUSENAME'
        ,'TASKDIMKEY'
        ,'TASKID'
        ,'TASKNAME'
    ],
    "GLBUDGETITEMROYALTIES":
    [
        'RECORDNO'
        ,'BUDGETKEY'
        ,'BUDGETID'
        ,'CURRENCY'
        ,'SYSTEMGENERATED'
        ,'PERIODKEY'
        ,'ACCOUNTKEY'
        ,'DEPTKEY'
        ,'LOCATIONKEY'
        ,'AMOUNT'
        ,'BASEDON'
        ,'GROWBY'
        ,'PERPERIOD'
        ,'NOTE'
        ,'ACCT_NO'
        ,'ACCOUNT_TYPE'
        ,'ACCTTITLE'
        ,'NORMALBALANCE'
        ,'STATISTICAL'
        ,'DEPT_NO'
        ,'DEPTITLE'
        ,'LOCATION_NO'
        ,'LOCATIONTITLE'
        ,'PERIODNAME'
        ,'REPORTINGPERIODNAME'
        ,'PSTARTDATE'
        ,'PENDDATE'
        ,'MEGAENTITYKEY'
        ,'MEGAENTITYID'
        ,'MEGAENTITYNAME'
        ,'PROJECTDIMKEY'
        ,'PROJECTID'
        ,'PROJECTNAME'
        ,'CUSTOMERDIMKEY'
        ,'CUSTOMERID'
        ,'CUSTOMERNAME'
        ,'VENDORDIMKEY'
        ,'VENDORID'
        ,'VENDORNAME'
        ,'EMPLOYEEDIMKEY'
        ,'EMPLOYEEID'
        ,'EMPLOYEENAME'
        ,'ITEMDIMKEY'
        ,'ITEMID'
        ,'ITEMNAME'
        ,'CLASSDIMKEY'
        ,'CLASSID'
        ,'CLASSNAME'
        ,'WAREHOUSEDIMKEY'
        ,'WAREHOUSEID'
        ,'WAREHOUSENAME'
        ,'TASKDIMKEY'
        ,'TASKID'
        ,'TASKNAME'
    ],
    "GLBUDGETITEMTURNOVER":
    [
        'RECORDNO'
        ,'BUDGETKEY'
        ,'BUDGETID'
        ,'CURRENCY'
        ,'SYSTEMGENERATED'
        ,'PERIODKEY'
        ,'ACCOUNTKEY'
        ,'DEPTKEY'
        ,'LOCATIONKEY'
        ,'AMOUNT'
        ,'BASEDON'
        ,'GROWBY'
        ,'PERPERIOD'
        ,'NOTE'
        ,'ACCT_NO'
        ,'ACCOUNT_TYPE'
        ,'ACCTTITLE'
        ,'NORMALBALANCE'
        ,'STATISTICAL'
        ,'DEPT_NO'
        ,'DEPTITLE'
        ,'LOCATION_NO'
        ,'LOCATIONTITLE'
        ,'PERIODNAME'
        ,'REPORTINGPERIODNAME'
        ,'PSTARTDATE'
        ,'PENDDATE'
        ,'MEGAENTITYKEY'
        ,'MEGAENTITYID'
        ,'MEGAENTITYNAME'
        ,'PROJECTDIMKEY'
        ,'PROJECTID'
        ,'PROJECTNAME'
        ,'CUSTOMERDIMKEY'
        ,'CUSTOMERID'
        ,'CUSTOMERNAME'
        ,'VENDORDIMKEY'
        ,'VENDORID'
        ,'VENDORNAME'
        ,'EMPLOYEEDIMKEY'
        ,'EMPLOYEEID'
        ,'EMPLOYEENAME'
        ,'ITEMDIMKEY'
        ,'ITEMID'
        ,'ITEMNAME'
        ,'CLASSDIMKEY'
        ,'CLASSID'
        ,'CLASSNAME'
        ,'WAREHOUSEDIMKEY'
        ,'WAREHOUSEID'
        ,'WAREHOUSENAME'
        ,'TASKDIMKEY'
        ,'TASKID'
        ,'TASKNAME'
    ],
    "GLENTRY":
    [
        'RECORDNO'
        ,'BATCHNO'
        ,'USERNO'
        ,'LINE_NO'
        ,'TR_TYPE'
        ,'ENTRY_DATE'
        ,'AMOUNT'
        ,'TRX_AMOUNT'
        ,'ACCOUNTKEY'
        ,'ACCOUNTNO'
        ,'DEPARTMENTKEY'
        ,'DEPARTMENT'
        ,'DEPARTMENTTITLE'
        ,'LOCATIONKEY'
        ,'LOCATION'
        ,'LOCATIONNAME'
        ,'DOCUMENT'
        ,'DESCRIPTION'
        ,'UNITS'
        ,'BASECURR'
        ,'CURRENCY'
        ,'CLEARED'
        ,'CLRDATE'
        ,'TIMEPERIOD'
        ,'ADJ'
        ,'EXCH_RATE_DATE'
        ,'EXCH_RATE_TYPE_ID'
        ,'EXCHANGE_RATE'
        ,'RECON_DATE'
        ,'ALLOCATION'
        ,'ALLOCATIONKEY'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'STATE'
        ,'BILLABLE'
        ,'BILLED'
        ,'PROJECTDIMKEY'
        ,'PROJECTID'
        ,'PROJECTNAME'
        ,'CUSTOMERDIMKEY'
        ,'CUSTOMERID'
        ,'CUSTOMERNAME'
        ,'VENDORDIMKEY'
        ,'VENDORID'
        ,'VENDORNAME'
        ,'EMPLOYEEDIMKEY'
        ,'EMPLOYEEID'
        ,'EMPLOYEENAME'
        ,'ITEMDIMKEY'
        ,'ITEMID'
        ,'ITEMNAME'
        ,'CLASSDIMKEY'
        ,'CLASSID'
        ,'CLASSNAME'
        ,'WAREHOUSEDIMKEY'
        ,'WAREHOUSEID'
        ,'WAREHOUSENAME'
        ,'TASKDIMKEY'
        ,'TASKID'
        ,'TASKNAME'
    ],
    "GLENTRYROYALTIES":
    [
        'RECORDNO'
        ,'BATCHNO'
        ,'USERNO'
        ,'LINE_NO'
        ,'TR_TYPE'
        ,'ENTRY_DATE'
        ,'AMOUNT'
        ,'TRX_AMOUNT'
        ,'ACCOUNTKEY'
        ,'ACCOUNTNO'
        ,'DEPARTMENTKEY'
        ,'DEPARTMENT'
        ,'DEPARTMENTTITLE'
        ,'LOCATIONKEY'
        ,'LOCATION'
        ,'LOCATIONNAME'
        ,'DOCUMENT'
        ,'DESCRIPTION'
        ,'UNITS'
        ,'BASECURR'
        ,'CURRENCY'
        ,'CLEARED'
        ,'CLRDATE'
        ,'TIMEPERIOD'
        ,'ADJ'
        ,'EXCH_RATE_DATE'
        ,'EXCH_RATE_TYPE_ID'
        ,'EXCHANGE_RATE'
        ,'RECON_DATE'
        ,'ALLOCATION'
        ,'ALLOCATIONKEY'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'STATE'
        ,'BILLABLE'
        ,'BILLED'
        ,'PROJECTDIMKEY'
        ,'PROJECTID'
        ,'PROJECTNAME'
        ,'CUSTOMERDIMKEY'
        ,'CUSTOMERID'
        ,'CUSTOMERNAME'
        ,'VENDORDIMKEY'
        ,'VENDORID'
        ,'VENDORNAME'
        ,'EMPLOYEEDIMKEY'
        ,'EMPLOYEEID'
        ,'EMPLOYEENAME'
        ,'ITEMDIMKEY'
        ,'ITEMID'
        ,'ITEMNAME'
        ,'CLASSDIMKEY'
        ,'CLASSID'
        ,'CLASSNAME'
        ,'WAREHOUSEDIMKEY'
        ,'WAREHOUSEID'
        ,'WAREHOUSENAME'
        ,'TASKDIMKEY'
        ,'TASKID'
        ,'TASKNAME'
    ],
    "GLENTRYMARKETING":
    [
        'RECORDNO'
        ,'BATCHNO'
        ,'USERNO'
        ,'LINE_NO'
        ,'TR_TYPE'
        ,'ENTRY_DATE'
        ,'AMOUNT'
        ,'TRX_AMOUNT'
        ,'ACCOUNTKEY'
        ,'ACCOUNTNO'
        ,'DEPARTMENTKEY'
        ,'DEPARTMENT'
        ,'DEPARTMENTTITLE'
        ,'LOCATIONKEY'
        ,'LOCATION'
        ,'LOCATIONNAME'
        ,'DOCUMENT'
        ,'DESCRIPTION'
        ,'UNITS'
        ,'BASECURR'
        ,'CURRENCY'
        ,'CLEARED'
        ,'CLRDATE'
        ,'TIMEPERIOD'
        ,'ADJ'
        ,'EXCH_RATE_DATE'
        ,'EXCH_RATE_TYPE_ID'
        ,'EXCHANGE_RATE'
        ,'RECON_DATE'
        ,'ALLOCATION'
        ,'ALLOCATIONKEY'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'STATE'
        ,'BILLABLE'
        ,'BILLED'
        ,'PROJECTDIMKEY'
        ,'PROJECTID'
        ,'PROJECTNAME'
        ,'CUSTOMERDIMKEY'
        ,'CUSTOMERID'
        ,'CUSTOMERNAME'
        ,'VENDORDIMKEY'
        ,'VENDORID'
        ,'VENDORNAME'
        ,'EMPLOYEEDIMKEY'
        ,'EMPLOYEEID'
        ,'EMPLOYEENAME'
        ,'ITEMDIMKEY'
        ,'ITEMID'
        ,'ITEMNAME'
        ,'CLASSDIMKEY'
        ,'CLASSID'
        ,'CLASSNAME'
        ,'WAREHOUSEDIMKEY'
        ,'WAREHOUSEID'
        ,'WAREHOUSENAME'
        ,'TASKDIMKEY'
        ,'TASKID'
        ,'TASKNAME'
    ],
    "GLJOURNAL":
    [
        'RECORDNO'
        ,'SYMBOL'
        ,'STATUS'
        ,'TITLE'
        ,'START_DATE'
        ,'LAST_DATE'
        ,'ADJ'
        ,'BOOKID'
        ,'BOOKTYPE'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'BILLABLE'
    ],
    "REPORTINGPERIOD":
    [
        'RECORD#'
        ,'RECORDNO'
        ,'NAME'
        ,'HEADER1'
        ,'HEADER2'
        ,'START_DATE'
        ,'END_DATE'
        ,'BUDGETING'
        ,'STATUS'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'MEGAENTITYKEY'
        ,'MEGAENTITYID'
        ,'MEGAENTITYNAME'
    ],
    "STATACCOUNT":
    [
        'RECORDNO'
        ,'ACCOUNTNO'
        ,'TITLE'
        ,'ACCOUNTTYPE'
        ,'STATUS'
        ,'WHENMODIFIED'
        ,'REQUIREDEPT'
        ,'REQUIRELOC'
        ,'TAXABLE'
        ,'STATISTICAL'
        ,'CATEGORY'
        ,'WHENCREATED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'MEGAENTITYKEY'
        ,'MEGAENTITYID'
        ,'MEGAENTITYNAME'
    ],
    "APDETAIL":
    [
        'RECORDNO'
        ,'RECORDTYPE'
        ,'ENTRY_DATE'
        ,'RECORDKEY'
        ,'VENDORACCTNOKEYVERSION'
        ,'ENTRYDESCRIPTION'
        ,'ACCOUNTKEY'
        ,'GLACCOUNTNO'
        ,'GLACCOUNTTITLE'
        ,'AMOUNT'
        ,'LOCATIONID'
        ,'LOCATIONNAME'
        ,'DEPARTMENTID'
        ,'DEPARTMENTNAME'
        ,'LINE_NO'
        ,'FORM1099'
        ,'ACCOUNTLABEL'
        ,'TOTALSELECTED'
        ,'TOTALPAID'
        ,'PARENTENTRY'
        ,'LINEITEM'
        ,'GLOFFSET'
        ,'BASELOCATION'
        ,'ALLOCATIONKEY'
        ,'ALLOCATION'
        ,'SUBTOTAL'
        ,'DEFERREVENUE'
        ,'REVRECTEMPLATEKEY'
        ,'REVRECTEMPLATE'
        ,'DEFERREDREVACCTKEY'
        ,'DEFERREDREVACCTNO'
        ,'DEFERREDREVACCTTITLE'
        ,'REVRECSTARTDATE'
        ,'REVRECENDDATE'
        ,'ENTRYCURRENCY'
        ,'ENTRYEXCHRATEDATE'
        ,'ENTRYEXCHRATETYPE'
        ,'ENTRYEXCHRATE'
        ,'TRX_AMOUNT'
        ,'TRX_TOTALSELECTED'
        ,'TRX_TOTALPAID'
        ,'BILLABLE'
        ,'BILLED'
        ,'STATE'
        ,'RELEASETOPAY'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'LOCATIONKEY'
        ,'DEPARTMENTKEY'
        ,'PRIMARYDOCKEY'
        ,'PRIMARYDOCLINEKEY'
        ,'BASECURR'
        ,'OFFSETGLACCOUNTTITLE'
        ,'ACCOUNTLABELKEY'
        ,'PAYMENTTAXCAPTURE'
        ,'FORM1099TYPE'
        ,'FORM1099BOX'
        ,'PRENTRYOFFSETACCOUNTNO'
        ,'RETAINAGEPERCENTAGE'
        ,'TRX_AMOUNTRETAINED'
        ,'AMOUNTRETAINED'
        ,'TRX_AMOUNTRELEASED'
        ,'PARTIALEXEMPT'
        ,'NAMEOFACQUIREDASSET'
        ,'INCLUDETAXINASSETCOST'
        ,'ASSET_CLASS'
        ,'ASSET_GL_POSTING_DATE'
        ,'ASSET_NAME'
        ,'CIP_ASSET'
        ,'CIP_GL_POSTING_DATE'
        ,'CIP_ITEM_NAME'
        ,'DATE_PLACED_IN_SERVICE'
        ,'IS_ASSET'
        ,'IS_CIP'
        ,'PHYSICAL_LOCATION'
    ]
    ,
    "APRECORD":
    [
        'RECORDNO'
        ,'PRBATCHKEY'
        ,'PRBATCH'
        ,'RECORDTYPE'
        ,'DESCRIPTION'
        ,'TOTALENTERED'
        ,'TOTALPAID'
        ,'TOTALSELECTED'
        ,'TOTALDUE'
        ,'STATE'
        ,'TERMKEY'
        ,'TERMNAME'
        ,'WHENDISCOUNT'
        ,'RECORDID'
        ,'USERKEY'
        ,'WHENDUE'
        ,'DOCNUMBER'
        ,'CLEARED'
        ,'CLRDATE'
        ,'MODULEKEY'
        ,'STATUS'
        ,'SYSTEMGENERATED'
        ,'WHENPOSTED'
        ,'ONHOLD'
        ,'CURRENCY'
        ,'TRX_TOTALENTERED'
        ,'TRX_TOTALPAID'
        ,'TRX_TOTALSELECTED'
        ,'TRX_TOTALDUE'
        ,'DELIVERYMETHOD'
        ,'RECON_DATE'
        ,'BASECURR'
        ,'LOCATIONKEY'
        ,'AUWHENCREATED'
        ,'WHENMODIFIED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'NR_TOTALENTERED'
        ,'NR_TRX_TOTALENTERED'
        ,'PAYMENTTYPE'
        ,'PAYMENTDATE'
        ,'RECEIPTDATE'
        ,'PAYMENTAMOUNT'
        ,'DOCUMENTNUMBER'
        ,'MEMO'
        ,'FINANCIALACCOUNT'
        ,'PROVIDERPAYMENTMETHOD.PAYMENTPROVIDER.NAME'
        ,'VENDORNAME'
        ,'VENDORID'
        ,'PAYMENTMETHOD'
        ,'RAWSTATE'
        ,'FINANCIALENTITY'
        ,'POSTINGDATE'
        ,'EXCH_RATE_DATE'
        ,'EXCH_RATE_TYPE_ID'
        ,'EXCHANGE_RATE'
        ,'DESCRIPTION2'
        ,'CONTACTTAXGROUP'
        ,'FORM1099TYPE'
        ,'FORM1099BOX'
        ,'VENDTYPE1099TYPE'
        ,'TRX_ENTITYDUE'
        ,'BILLTOPAYTOCONTACTNAME'
        ,'SHIPTORETURNTOCONTACTNAME'
        ,'BILLTOPAYTOKEY'
        ,'SHIPTORETURNTOKEY'
        ,'INCLUSIVETAX'
        ,'TAXSOLUTIONID'
        ,'PAYTO.TAXGROUP.RECORDNO'
        ,'TERMVALUE'
        ,'RECPAYMENTDATE'
        ,'PAYMENTPRIORITY'
        ,'SCHOPKEY'
        ,'DUE_IN_DAYS'
        ,'RETAINAGEPERCENTAGE'
        ,'TRX_TOTALRETAINED'
        ,'TRX_TOTALRELEASED'
        ,'TOTALRETAINED'
        ,'BBTEMPLATE_USEIET'
        ,'USERID'
        ,'UPLOADSTATUS'
        ,'SENDEREMAIL'
        ,'SOURCEMODULE'
        ,'RETAINAGERELEASED'
        ,'RETAINAGEINVTYPE'
    ],
    "ARDETAIL":
    [
        'RECORDNO'
        ,'ACCOUNTNO'
        ,'ACCOUNTTITLE'
        ,'ACCOUNTLABEL'
        ,'ALLOCATION'
        ,'AMOUNT'
        ,'TRX_AMOUNT'
        ,'DEPARTMENTID'
        ,'DEPARTMENTNAME'
        ,'LOCATIONID'
        ,'LOCATIONNAME'
        ,'ENTRYDESCRIPTION'
        ,'EXCH_RATE_DATE'
        ,'EXCH_RATE_TYPE_ID'
        ,'EXCHANGE_RATE'
        ,'LINE_NO'
        ,'BASECURR'
        ,'CURRENCY'
        ,'TOTALPAID'
        ,'TRX_TOTALPAID'
        ,'TOTALSELECTED'
        ,'TRX_TOTALSELECTED'
        ,'RECORDTYPE'
        ,'ENTRY_DATE'
        ,'RECORDKEY'
        ,'VENDORACCTNOKEYVERSION'
        ,'ACCOUNTKEY'
        ,'FORM1099'
        ,'PARENTENTRY'
        ,'LINEITEM'
        ,'GLOFFSET'
        ,'BASELOCATION'
        ,'ALLOCATIONKEY'
        ,'SUBTOTAL'
        ,'DEFERREVENUE'
        ,'REVRECTEMPLATEKEY'
        ,'REVRECTEMPLATE'
        ,'DEFERREDREVACCTKEY'
        ,'DEFERREDREVACCTNO'
        ,'DEFERREDREVACCTTITLE'
        ,'REVRECSTARTDATE'
        ,'REVRECENDDATE'
        ,'BILLABLE'
        ,'BILLED'
        ,'STATE'
        ,'RELEASETOPAY'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'LOCATIONKEY'
        ,'DEPARTMENTKEY'
        ,'DETAILID'
        ,'OFFSETGLACCOUNTTITLE'
        ,'ACCOUNTLABELKEY'
        ,'PRENTRYOFFSETACCOUNTNO'
        ,'PAYMENTTAXCAPTURE'
        ,'RETAINAGEPERCENTAGE'
        ,'TRX_AMOUNTRETAINED'
        ,'AMOUNTRETAINED'
        ,'TRX_AMOUNTRELEASED'
        ,'PROJECTCONTRACTID'
        ,'PROJECTCONTRACTKEY'
        ,'PROJECTCONTRACTLINEID'
        ,'PROJECTCONTRACTLINEKEY'
        ,'ISRETAINAGERELEASE'
        ,'ISSUMMARIZED'
    ],
    "ARRECORD":
    [
        'RECORDNO'
        ,'RECORDID'
        ,'STATE'
        ,'CUSTOMERID'
        ,'CUSTOMERNAME'
        ,'DOCNUMBER'
        ,'FINANCIALENTITY'
        ,'UNDEPOSITEDACCOUNTNO'
        ,'DESCRIPTION'
        ,'PAYMENTMETHOD'
        ,'CLRDATE'
        ,'CLEARED'
        ,'RECEIPTDATE'
        ,'BASECURR'
        ,'CURRENCY'
        ,'EXCH_RATE_DATE'
        ,'EXCH_RATE_TYPE_ID'
        ,'EXCHANGE_RATE'
        ,'TOTALENTERED'
        ,'TOTALPAID'
        ,'TOTALDUE'
        ,'TRX_TOTALENTERED'
        ,'TRX_TOTALPAID'
        ,'TRX_TOTALDUE'
        ,'PRBATCH'
        ,'AUWHENCREATED'
        ,'WHENMODIFIED'
        ,'PRBATCHKEY'
        ,'RECORDTYPE'
        ,'TOTALSELECTED'
        ,'TERMKEY'
        ,'TERMNAME'
        ,'WHENDISCOUNT'
        ,'USERKEY'
        ,'WHENDUE'
        ,'MODULEKEY'
        ,'STATUS'
        ,'SYSTEMGENERATED'
        ,'WHENPOSTED'
        ,'TRX_TOTALSELECTED'
        ,'DELIVERYMETHOD'
        ,'RECON_DATE'
        ,'LOCATIONKEY'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'NR_TOTALENTERED'
        ,'NR_TRX_TOTALENTERED'
        ,'PAYMENTDATE'
        ,'PAYMENTAMOUNT'
        ,'DOCUMENTNUMBER'
        ,'MEMO'
        ,'PAYMENTTYPE'
        ,'RAWSTATE'
        ,'SUPDOCID'
        ,'SHIPTORETURNTOKEY'
        ,'CONTACTTAXGROUP'
        ,'SHIPTO.TAXGROUP.RECORDNO'
        ,'TAXSOLUTIONID'
        ,'LINKEDDOCID'
        ,'CUSTEMAILOPTIN'
        ,'TRX_ENTITYDUE'
        ,'BILLTOPAYTOCONTACTNAME'
        ,'BILLTOPAYTOKEY'
        ,'SHIPTO.CONTACTNAME'
        ,'SHIPTO.PREFIX'
        ,'SHIPTO.FIRSTNAME'
        ,'SHIPTO.INITIAL'
        ,'SHIPTO.LASTNAME'
        ,'SHIPTO.COMPANYNAME'
        ,'SHIPTO.PRINTAS'
        ,'SHIPTO.PHONE1'
        ,'SHIPTO.PHONE2'
        ,'SHIPTO.CELLPHONE'
        ,'SHIPTO.PAGER'
        ,'SHIPTO.FAX'
        ,'SHIPTO.EMAIL1'
        ,'SHIPTO.EMAIL2'
        ,'SHIPTO.URL1'
        ,'SHIPTO.URL2'
        ,'SHIPTO.VISIBLE'
        ,'SHIPTO.MAILADDRESS.RECORDKEY'
        ,'SHIPTO.MAILADDRESS.ADDRESS1'
        ,'SHIPTO.MAILADDRESS.ADDRESS2'
        ,'SHIPTO.MAILADDRESS.CITY'
        ,'SHIPTO.MAILADDRESS.STATE'
        ,'SHIPTO.MAILADDRESS.ZIP'
        ,'SHIPTO.MAILADDRESS.COUNTRY'
        ,'SHIPTO.MAILADDRESS.COUNTRYCODE'
        ,'BILLTO.CONTACTNAME'
        ,'BILLTO.PREFIX'
        ,'BILLTO.FIRSTNAME'
        ,'BILLTO.INITIAL'
        ,'BILLTO.LASTNAME'
        ,'BILLTO.COMPANYNAME'
        ,'BILLTO.PRINTAS'
        ,'BILLTO.PHONE1'
        ,'BILLTO.PHONE2'
        ,'BILLTO.CELLPHONE'
        ,'BILLTO.PAGER'
        ,'BILLTO.FAX'
        ,'BILLTO.EMAIL1'
        ,'BILLTO.EMAIL2'
        ,'BILLTO.URL1'
        ,'BILLTO.URL2'
        ,'BILLTO.MAILADDRESS.RECORDKEY'
        ,'BILLTO.MAILADDRESS.ADDRESS1'
        ,'BILLTO.MAILADDRESS.ADDRESS2'
        ,'BILLTO.MAILADDRESS.CITY'
        ,'BILLTO.MAILADDRESS.STATE'
        ,'BILLTO.MAILADDRESS.ZIP'
        ,'BILLTO.MAILADDRESS.COUNTRY'
        ,'BILLTO.MAILADDRESS.COUNTRYCODE'
        ,'CONTACT.CONTACTNAME'
        ,'CONTACT.PREFIX'
        ,'CONTACT.FIRSTNAME'
        ,'CONTACT.INITIAL'
        ,'CONTACT.LASTNAME'
        ,'CONTACT.COMPANYNAME'
        ,'CONTACT.PRINTAS'
        ,'CONTACT.PHONE1'
        ,'CONTACT.PHONE2'
        ,'CONTACT.CELLPHONE'
        ,'CONTACT.PAGER'
        ,'CONTACT.FAX'
        ,'CONTACT.EMAIL1'
        ,'CONTACT.EMAIL2'
        ,'CONTACT.URL1'
        ,'CONTACT.URL2'
        ,'CONTACT.VISIBLE'
        ,'CONTACT.MAILADDRESS.ADDRESS1'
        ,'CONTACT.MAILADDRESS.ADDRESS2'
        ,'CONTACT.MAILADDRESS.CITY'
        ,'CONTACT.MAILADDRESS.STATE'
        ,'CONTACT.MAILADDRESS.ZIP'
        ,'CONTACT.MAILADDRESS.COUNTRY'
        ,'CONTACT.MAILADDRESS.COUNTRYCODE'
        ,'CUSTMESSAGEID'
        ,'TERMVALUE'
        ,'CONTACT.MAILADDRESS.ADDRESS3'
        ,'SHIPTO.MAILADDRESS.ADDRESS3'
        ,'BILLTO.MAILADDRESS.ADDRESS3'
        ,'SCHOPKEY'
        ,'HASPOSTEDREVREC'
        ,'BILLBACKTEMPLATEKEY'
        ,'BBRECORDKEY'
        ,'DUE_IN_DAYS'
        ,'RETAINAGEPERCENTAGE'
        ,'TRX_TOTALRETAINED'
        ,'TRX_TOTALRELEASED'
        ,'TOTALRETAINED'
        ,'PROJECTCONTRACTKEY'
        ,'PROJECTCONTRACTID'
        ,'DUNNINGCOUNT'
        ,'RETAINAGEINVTYPE'
        ,'RETAINAGERELEASED'
        ,'EXTERNALREFNO'
        ,'PC_DESCRIPTION'
        ,'CONTRACTDATE'
        ,'ARCHITECTKEY'
        ,'ARCHITECT'
        ,'BILLTHROUGHDATE'
    ],
    "CMDETAIL":
    [
        'RECORDNO'
        ,'RECORDKEY'
        ,'RECORDTYPE'
        ,'ACCOUNTKEY'
        ,'ACCOUNTNO'
        ,'ACCOUNTTITLE'
        ,'ACCOUNTLABELKEY'
        ,'ACCOUNTLABEL'
        ,'AMOUNT'
        ,'TRX_AMOUNT'
        ,'DEPT#'
        ,'DEPARTMENTID'
        ,'DEPARTMENTNAME'
        ,'LOCATION#'
        ,'LOCATIONID'
        ,'LOCATIONNAME'
        ,'DESCRIPTION'
        ,'EXCH_RATE_DATE'
        ,'EXCH_RATE_TYPE_ID'
        ,'EXCHANGE_RATE'
        ,'LINE_NO'
        ,'BASECURR'
        ,'STATUS'
        ,'TOTALPAID'
        ,'TRX_TOTALPAID'
        ,'LOCATIONKEY'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'TAXRATE'
        ,'DETAILID'
        ,'BILLABLE'
        ,'BILLED'
        ,'BASELOCATION'
        ,'TOTALSELECTED'
        ,'TRX_TOTALSELECTED'
        ,'TOTALEXPENSED'
        ,'FINANCIALENTITY'
        ,'DEPARTMENTKEY'
        ,'ASSET_CLASS'
        ,'ASSET_GL_POSTING_DATE'
        ,'ASSET_NAME'
        ,'CIP_ASSET'
        ,'CIP_GL_POSTING_DATE'
        ,'CIP_ITEM_NAME'
        ,'DATE_PLACED_IN_SERVICE'
        ,'IS_ASSET'
        ,'IS_CIP'
        ,'PHYSICAL_LOCATION'
    ],
    "CMRECORD":
    [
        'RECORDNO'
        ,'FINANCIALENTITY'
        ,'WHENCREATED'
        ,'RECORDID'
        ,'RECORDTYPE'
        ,'DESCRIPTION'
        ,'PRBATCHKEY'
        ,'BASECURR'
        ,'CURRENCY'
        ,'EXCH_RATE_DATE'
        ,'EXCH_RATE_TYPE_ID'
        ,'EXCHANGE_RATE'
        ,'TOTALENTERED'
        ,'TRX_TOTALENTERED'
        ,'TOTALPAID'
        ,'TRX_TOTALPAID'
        ,'TOTALSELECTED'
        ,'TRX_TOTALSELECTED'
        ,'TOTALDUE'
        ,'TRX_TOTALDUE'
        ,'WHENPAID'
        ,'REVERSALKEY'
        ,'REVERSALDATE'
        ,'REVERSEDKEY'
        ,'REVERSEDDATE'
        ,'STATE'
        ,'CLEARED'
        ,'AUWHENCREATED'
        ,'WHENMODIFIED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'PARENTPAYMENT'
        ,'MEGAENTITYKEY'
        ,'MEGAENTITYID'
        ,'MEGAENTITYNAME'
    ],
    "EEDETAIL":
    [
        'RECORDNO'
        ,'RECORDKEY'
        ,'ACCOUNTKEY'
        ,'ENTRY_DATE'
        ,'DESCRIPTION'
        ,'DESCRIPTION2'
        ,'GLACCOUNTNO'
        ,'ACCOUNTNO'
        ,'GLACCOUNTTITLE'
        ,'AMOUNT'
        ,'EXCH_RATE_DATE'
        ,'EXCH_RATE_TYPE_ID'
        ,'EXCHANGE_RATE'
        ,'LOCATIONID'
        ,'LOCATIONNAME'
        ,'DEPARTMENTID'
        ,'DEPARTMENTNAME'
        ,'LINEITEM'
        ,'LINE_NO'
        ,'ACCOUNTLABELKEY'
        ,'ACCOUNTLABEL'
        ,'TOTALSELECTED'
        ,'TOTALPAID'
        ,'TRX_AMOUNT'
        ,'TRX_TOTALSELECTED'
        ,'TRX_TOTALPAID'
        ,'BILLABLE'
        ,'BILLED'
        ,'STATE'
        ,'FORM1099'
        ,'EXPPMTTYPEKEY'
        ,'EXPPMTTYPE'
        ,'NONREIMBURSABLE'
        ,'NR_AMOUNT'
        ,'NR_TRX_AMOUNT'
        ,'QUANTITY'
        ,'UNITRATE'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'FORM1099TYPE'
        ,'FORM1099BOX'
        ,'RECORDTYPE'
        ,'BASELOCATION'
        ,'ORG_CURRENCY'
        ,'ORG_AMOUNT'
        ,'ORG_EXCHRATEDATE'
        ,'ORG_EXCHRATETYPE'
        ,'ORG_EXCHRATE'
        ,'USER_EXCHRATE'
        ,'TAXRATE'
        ,'CCENTRYKEY'
        ,'RECORDID'
        ,'VENDORACCTNOKEYVERSION'
        ,'ENTRYEXCHRATE'
        ,'RELEASETOPAY'
        ,'DEPARTMENTKEY'
        ,'CURRENCY'
        ,'ACCOUNTTITLE'
    ],
    "EERECORD":
    [
        'RECORDNO'
        ,'PRBATCHKEY'
        ,'PRBATCH'
        ,'RECORDTYPE'
        ,'DESCRIPTION'
        ,'TOTALENTERED'
        ,'TOTALPAID'
        ,'TOTALSELECTED'
        ,'TOTALDUE'
        ,'STATE'
        ,'WHENCREATED'
        ,'WHENPAID'
        ,'TERMKEY'
        ,'TERMNAME'
        ,'WHENDISCOUNT'
        ,'RECORDID'
        ,'USERKEY'
        ,'WHENDUE'
        ,'DOCNUMBER'
        ,'CLEARED'
        ,'CLRDATE'
        ,'MODULEKEY'
        ,'STATUS'
        ,'SYSTEMGENERATED'
        ,'WHENPOSTED'
        ,'ONHOLD'
        ,'CURRENCY'
        ,'TRX_TOTALENTERED'
        ,'TRX_TOTALPAID'
        ,'TRX_TOTALSELECTED'
        ,'TRX_TOTALDUE'
        ,'DELIVERYMETHOD'
        ,'RECON_DATE'
        ,'BASECURR'
        ,'LOCATIONKEY'
        ,'AUWHENCREATED'
        ,'WHENMODIFIED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'NR_TOTALENTERED'
        ,'NR_TRX_TOTALENTERED'
        ,'PAYMENTTYPE'
        ,'PAYMENTDATE'
        ,'RECEIPTDATE'
        ,'PAYMENTAMOUNT'
        ,'DOCUMENTNUMBER'
        ,'MEMO'
        ,'FINANCIALACCOUNT'
        ,'PROVIDERPAYMENTMETHOD.PAYMENTPROVIDER.NAME'
        ,'EMPLOYEEID'
        ,'CONTACTINFO.NAME'
        ,'LASTNAME'
        ,'FIRSTNAME'
        ,'RAWSTATE'
        ,'ENAME'
        ,'SUPDOCID'
        ,'MEGAENTITYKEY'
        ,'MEGAENTITYID'
        ,'MEGAENTITYNAME'
    ],
    'SODOCUMENTENTRYROYALTIES':
    [
        'RECORDNO'
        ,'DOCHDRNO'
        ,'DOCHDRID'
        ,'DOCPARID'
        ,'BUNDLENUMBER'
        ,'LINE_NO'
        ,'ITEMID'
        ,'ITEMNAME'
        ,'ITEMDESC'
        ,'UNIT'
        ,'WAREHOUSE.LOCATION_NO'
        ,'WAREHOUSE.NAME'
        ,'MEMO'
        ,'PRICECALCMEMO'
        ,'QUANTITY'
        ,'QTY_CONVERTED'
        ,'RETAILPRICE'
        ,'PRICE'
        ,'TOTAL'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'AUWHENCREATED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'ITEM.TAXABLE'
        ,'ITEM.TAXGROUP.RECORDNO'
        ,'ITEM.RENEWALMACRO.MACROID'
        ,'EXTENDED_DESCRIPTION'
        ,'ITEMGLGROUP'
        ,'STATE'
        ,'STATUS'
        ,'COST'
        ,'COST_METHOD'
        ,'UIQTY'
        ,'DISCOUNTPERCENT'
        ,'MULTIPLIER'
        ,'UIPRICE'
        ,'UIVALUE'
        ,'LOCATIONID'
        ,'LOCATIONNAME'
        ,'DEPARTMENTID'
        ,'DEPARTMENTNAME'
        ,'DEPTKEY'
        ,'LOCATIONKEY'
        ,'TIMETYPEKEY'
        ,'TIMETYPENAME'
        ,'TIMENOTES'
        ,'EEACCOUNTLABELKEY'
        ,'EEACCOUNTLABEL'
        ,'SOURCE_DOCKEY'
        ,'SOURCE_DOCLINEKEY'
        ,'ADJDOCHDRKEY'
        ,'ADJDOCENTRYKEY'
        ,'REVRECTEMPLATE'
        ,'REVRECTEMPLATEKEY'
        ,'REVRECSTARTDATE'
        ,'ITEMTERM'
        ,'TERMPERIOD'
        ,'REVRECENDDATE'
        ,'PRORATEPRICE'
        ,'DEFERREVENUE'
        ,'SC_REVRECTEMPLATE'
        ,'SC_REVRECTEMPLATEKEY'
        ,'SC_REVRECSTARTDATE'
        ,'SC_REVRECENDDATE'
        ,'SC_STARTDATE'
        ,'ITEM.ITEMTYPE'
        ,'ITEM.NUMDEC_SALE'
        ,'ITEM.NUMDEC_STD'
        ,'ITEM.NUMDEC_PUR'
        ,'ITEM.REVPOSTING'
        ,'ITEM.COMPUTEFORSHORTTERM'
        ,'ITEM.RENEWALMACROKEY'
        ,'ITEM.UOMGRPKEY'
        ,'ITEM.DROPSHIP'
        ,'ITEM.BUYTOORDER'
        ,'DISCOUNT_MEMO'
        ,'ITEM.REVPRINTING'
        ,'CURRENCY'
        ,'BASECURR'
        ,'EXCHRATEDATE'
        ,'EXCHRATETYPE'
        ,'EXCHRATE'
        ,'TRX_PRICE'
        ,'TRX_VALUE'
        ,'SCHEDULENAME'
        ,'SCHEDULEID'
        ,'RECURDOCNAME'
        ,'RECURDOCID'
        ,'RECURDOCENTRYKEY'
        ,'RENEWALMACRO'
        ,'RENEWALMACROKEY'
        ,'OVERRIDETAX'
        ,'SC_CREATERECURSCHED'
        ,'SC_EXISTINGSCHED'
        ,'SC_EXTENDLINEPERIOD'
        ,'SC_INSTALLPRICING'
        ,'RECURCONTRACTID'
        ,'SOURCE_DOCID'
        ,'BILLABLE'
        ,'BILLED'
        ,'BILLABLETIMEENTRYKEY'
        ,'BILLABLEGLENTRYKEY'
        ,'BILLABLEPRENTRYKEY'
        ,'BILLABLEDOCENTRYKEY'
        ,'BILLABLECONTRACTSCHENTRYKEY'
        ,'BILLABLECONTRACTUSAGEBILLINGID'
        ,'PERCENTVAL'
        ,'TAXABSVAL'
        ,'TAXABLEAMOUNT'
        ,'LINETOTAL'
        ,'DISCOUNT'
        ,'TRX_TAXABSVAL'
        ,'TRX_LINETOTAL'
        ,'TAXVALOVERRIDE'
        ,'PRICE_CONVERTED'
        ,'CONVERSIONTYPE'
        ,'PAYMENTTAXCAPTURE'
        ,'QUANTITYRESERVED'
        ,'QUANTITYALLOCATED'
        ,'QUANTITYRESERVEDWHENOPEN'
        ,'QUANTITYALLOCATEDWHENOPEN'
        ,'ALLOCRESERVEISENABLED'
        ,'PROJECTKEY'
        ,'PROJECTID'
        ,'PROJECTNAME'
        ,'TASKKEY'
        ,'TASKID'
        ,'TASKNAME'
        ,'BILLINGTEMPLATEKEY'
        ,'BILLINGTEMPLATE'
        ,'GENINVOICELINEKEY'
        ,'LINELEVELSIMPLETAXTYPE'
        ,'NEEDBYDATE'
        ,'SHIPBY'
        ,'DONOTSHIPBEFOREDATE'
        ,'DONOTSHIPAFTERDATE'
        ,'DATEPICKTICKETPRINTED'
        ,'CANCELAFTERDATE'
        ,'SHIPPEDDATE'
        ,'SHIPTOKEY'
        ,'SHIPTO.CONTACTNAME'
        ,'SHIPTO.MAILADDRESS.CITY'
        ,'SHIPTO.MAILADDRESS.STATE'
        ,'SHIPTO.MAILADDRESS.ZIP'
        ,'SHIPTO.MAILADDRESS.COUNTRY'
        ,'SHIPTO.MAILADDRESS.COUNTRYCODE'
        ,'DROPSHIP'
        ,'BUYTOORDER'
        ,'RETAINAGEPERCENTAGE'
        ,'AMOUNTRETAINED'
        ,'TRX_AMOUNTRETAINED'
        ,'RELATEDDOCKEY'
        ,'RELATEDDOCLINEKEY'
        ,'REVISEDUNITQTY'
        ,'REVISEDQTY'
        ,'DRAFTCHANGEUNITQTY'
        ,'DRAFTCHANGEQTY'
        ,'REVISEDUNITVALUE'
        ,'REVISEDVALUE'
        ,'TRX_REVISEDVALUE'
        ,'REVISEDPRICE'
        ,'REVISEDUNITPRICE'
        ,'TRX_REVISEDPRICE'
        ,'RELATEDDOCLINENO'
        ,'DRAFTCHANGEPRICE'
        ,'POSTEDQTYCHANGES'
        ,'POSTEDCHANGEEXTPRICE'
        ,'POSTEDCHANGEEXTBASEPRICE'
        ,'ADDEDBYCHANGE'
        ,'PROJECTCONTRACTID'
        ,'PROJECTCONTRACTNAME'
        ,'PROJECTCONTRACTKEY'
        ,'PROJECTCONTRACTLINEID'
        ,'PROJECTCONTRACTLINENAME'
        ,'PROJECTCONTRACTLINEKEY'
        ,'PCBLEXTERNALREFNO'
        ,'PCBLDESCRIPTION'
        ,'PCBLBILLINGTYPE'
        ,'CONTRACTLINEVALUE'
        ,'PRIORAPPLICATIONAMT'
        ,'COMPLETEDTHISPERIOD'
        ,'STOREDMATERIALS'
        ,'TOTALCOMPLETEDTODATE'
        ,'PERCENTCOMPLETEDTODATE'
        ,'BALANCEREMAINING'
        ,'DRAFTCHANGEBASEPRICE'
        ,'PREVIOUSRETAINAGEBALANCE'
        ,'ISRETAINAGERELEASE'
        ,'RETAINAGETOBILL'
        ,'RETAINAGEBALANCE'
        ,'ISSUMMARIZED'
        ,'REVERSECONVERSION'
        ,'REVERSEPRICECONVERTED'
        ,'REVERSEQTYCONVERTED'
        ,'STDPRICECONVERTED'
        ,'STDQTYCONVERTED'
        ,'SOURCEDOCID'
        ,'SOURCEDOCLINEID'
        ,'ITEMALIASID'
        ,'TOTAL_AMOUNT_CONVERTED'
        ,'TOTAL_AMOUNT_REMAINING'
        ,'QTY_REMAINING'
        ,'EXTENDEDPRICENETRETAINAGE'
        ,'EXTENDEDBASEPRICENETRETAINAGE'
        ,'PROJECTDIMKEY'
        ,'VENDORDIMKEY'
        ,'VENDORID'
        ,'VENDORNAME'
        ,'EMPLOYEEDIMKEY'
        ,'EMPLOYEEID'
        ,'EMPLOYEENAME'
        ,'CLASSDIMKEY'
        ,'CLASSID'
        ,'CLASSNAME'
        ,'RECORD_URL'
    ],
    'SODOCUMENTENTRYMARKETING':
    [
        'RECORDNO'
        ,'DOCHDRNO'
        ,'DOCHDRID'
        ,'DOCPARID'
        ,'BUNDLENUMBER'
        ,'LINE_NO'
        ,'ITEMID'
        ,'ITEMNAME'
        ,'ITEMDESC'
        ,'UNIT'
        ,'WAREHOUSE.LOCATION_NO'
        ,'WAREHOUSE.NAME'
        ,'MEMO'
        ,'PRICECALCMEMO'
        ,'QUANTITY'
        ,'QTY_CONVERTED'
        ,'RETAILPRICE'
        ,'PRICE'
        ,'TOTAL'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'AUWHENCREATED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'ITEM.TAXABLE'
        ,'ITEM.TAXGROUP.RECORDNO'
        ,'ITEM.RENEWALMACRO.MACROID'
        ,'EXTENDED_DESCRIPTION'
        ,'ITEMGLGROUP'
        ,'STATE'
        ,'STATUS'
        ,'COST'
        ,'COST_METHOD'
        ,'UIQTY'
        ,'DISCOUNTPERCENT'
        ,'MULTIPLIER'
        ,'UIPRICE'
        ,'UIVALUE'
        ,'LOCATIONID'
        ,'LOCATIONNAME'
        ,'DEPARTMENTID'
        ,'DEPARTMENTNAME'
        ,'DEPTKEY'
        ,'LOCATIONKEY'
        ,'TIMETYPEKEY'
        ,'TIMETYPENAME'
        ,'TIMENOTES'
        ,'EEACCOUNTLABELKEY'
        ,'EEACCOUNTLABEL'
        ,'SOURCE_DOCKEY'
        ,'SOURCE_DOCLINEKEY'
        ,'ADJDOCHDRKEY'
        ,'ADJDOCENTRYKEY'
        ,'REVRECTEMPLATE'
        ,'REVRECTEMPLATEKEY'
        ,'REVRECSTARTDATE'
        ,'ITEMTERM'
        ,'TERMPERIOD'
        ,'REVRECENDDATE'
        ,'PRORATEPRICE'
        ,'DEFERREVENUE'
        ,'SC_REVRECTEMPLATE'
        ,'SC_REVRECTEMPLATEKEY'
        ,'SC_REVRECSTARTDATE'
        ,'SC_REVRECENDDATE'
        ,'SC_STARTDATE'
        ,'ITEM.ITEMTYPE'
        ,'ITEM.NUMDEC_SALE'
        ,'ITEM.NUMDEC_STD'
        ,'ITEM.NUMDEC_PUR'
        ,'ITEM.REVPOSTING'
        ,'ITEM.COMPUTEFORSHORTTERM'
        ,'ITEM.RENEWALMACROKEY'
        ,'ITEM.UOMGRPKEY'
        ,'ITEM.DROPSHIP'
        ,'ITEM.BUYTOORDER'
        ,'DISCOUNT_MEMO'
        ,'ITEM.REVPRINTING'
        ,'CURRENCY'
        ,'BASECURR'
        ,'EXCHRATEDATE'
        ,'EXCHRATETYPE'
        ,'EXCHRATE'
        ,'TRX_PRICE'
        ,'TRX_VALUE'
        ,'SCHEDULENAME'
        ,'SCHEDULEID'
        ,'RECURDOCNAME'
        ,'RECURDOCID'
        ,'RECURDOCENTRYKEY'
        ,'RENEWALMACRO'
        ,'RENEWALMACROKEY'
        ,'OVERRIDETAX'
        ,'SC_CREATERECURSCHED'
        ,'SC_EXISTINGSCHED'
        ,'SC_EXTENDLINEPERIOD'
        ,'SC_INSTALLPRICING'
        ,'RECURCONTRACTID'
        ,'SOURCE_DOCID'
        ,'BILLABLE'
        ,'BILLED'
        ,'BILLABLETIMEENTRYKEY'
        ,'BILLABLEGLENTRYKEY'
        ,'BILLABLEPRENTRYKEY'
        ,'BILLABLEDOCENTRYKEY'
        ,'BILLABLECONTRACTSCHENTRYKEY'
        ,'BILLABLECONTRACTUSAGEBILLINGID'
        ,'PERCENTVAL'
        ,'TAXABSVAL'
        ,'TAXABLEAMOUNT'
        ,'LINETOTAL'
        ,'DISCOUNT'
        ,'TRX_TAXABSVAL'
        ,'TRX_LINETOTAL'
        ,'TAXVALOVERRIDE'
        ,'PRICE_CONVERTED'
        ,'CONVERSIONTYPE'
        ,'PAYMENTTAXCAPTURE'
        ,'QUANTITYRESERVED'
        ,'QUANTITYALLOCATED'
        ,'QUANTITYRESERVEDWHENOPEN'
        ,'QUANTITYALLOCATEDWHENOPEN'
        ,'ALLOCRESERVEISENABLED'
        ,'PROJECTKEY'
        ,'PROJECTID'
        ,'PROJECTNAME'
        ,'TASKKEY'
        ,'TASKID'
        ,'TASKNAME'
        ,'BILLINGTEMPLATEKEY'
        ,'BILLINGTEMPLATE'
        ,'GENINVOICELINEKEY'
        ,'LINELEVELSIMPLETAXTYPE'
        ,'NEEDBYDATE'
        ,'SHIPBY'
        ,'DONOTSHIPBEFOREDATE'
        ,'DONOTSHIPAFTERDATE'
        ,'DATEPICKTICKETPRINTED'
        ,'CANCELAFTERDATE'
        ,'SHIPPEDDATE'
        ,'SHIPTOKEY'
        ,'SHIPTO.CONTACTNAME'
        ,'SHIPTO.MAILADDRESS.CITY'
        ,'SHIPTO.MAILADDRESS.STATE'
        ,'SHIPTO.MAILADDRESS.ZIP'
        ,'SHIPTO.MAILADDRESS.COUNTRY'
        ,'SHIPTO.MAILADDRESS.COUNTRYCODE'
        ,'DROPSHIP'
        ,'BUYTOORDER'
        ,'RETAINAGEPERCENTAGE'
        ,'AMOUNTRETAINED'
        ,'TRX_AMOUNTRETAINED'
        ,'RELATEDDOCKEY'
        ,'RELATEDDOCLINEKEY'
        ,'REVISEDUNITQTY'
        ,'REVISEDQTY'
        ,'DRAFTCHANGEUNITQTY'
        ,'DRAFTCHANGEQTY'
        ,'REVISEDUNITVALUE'
        ,'REVISEDVALUE'
        ,'TRX_REVISEDVALUE'
        ,'REVISEDPRICE'
        ,'REVISEDUNITPRICE'
        ,'TRX_REVISEDPRICE'
        ,'RELATEDDOCLINENO'
        ,'DRAFTCHANGEPRICE'
        ,'POSTEDQTYCHANGES'
        ,'POSTEDCHANGEEXTPRICE'
        ,'POSTEDCHANGEEXTBASEPRICE'
        ,'ADDEDBYCHANGE'
        ,'PROJECTCONTRACTID'
        ,'PROJECTCONTRACTNAME'
        ,'PROJECTCONTRACTKEY'
        ,'PROJECTCONTRACTLINEID'
        ,'PROJECTCONTRACTLINENAME'
        ,'PROJECTCONTRACTLINEKEY'
        ,'PCBLEXTERNALREFNO'
        ,'PCBLDESCRIPTION'
        ,'PCBLBILLINGTYPE'
        ,'CONTRACTLINEVALUE'
        ,'PRIORAPPLICATIONAMT'
        ,'COMPLETEDTHISPERIOD'
        ,'STOREDMATERIALS'
        ,'TOTALCOMPLETEDTODATE'
        ,'PERCENTCOMPLETEDTODATE'
        ,'BALANCEREMAINING'
        ,'DRAFTCHANGEBASEPRICE'
        ,'PREVIOUSRETAINAGEBALANCE'
        ,'ISRETAINAGERELEASE'
        ,'RETAINAGETOBILL'
        ,'RETAINAGEBALANCE'
        ,'ISSUMMARIZED'
        ,'REVERSECONVERSION'
        ,'REVERSEPRICECONVERTED'
        ,'REVERSEQTYCONVERTED'
        ,'STDPRICECONVERTED'
        ,'STDQTYCONVERTED'
        ,'SOURCEDOCID'
        ,'SOURCEDOCLINEID'
        ,'ITEMALIASID'
        ,'TOTAL_AMOUNT_CONVERTED'
        ,'TOTAL_AMOUNT_REMAINING'
        ,'QTY_REMAINING'
        ,'EXTENDEDPRICENETRETAINAGE'
        ,'EXTENDEDBASEPRICENETRETAINAGE'
        ,'PROJECTDIMKEY'
        ,'VENDORDIMKEY'
        ,'VENDORID'
        ,'VENDORNAME'
        ,'EMPLOYEEDIMKEY'
        ,'EMPLOYEEID'
        ,'EMPLOYEENAME'
        ,'CLASSDIMKEY'
        ,'CLASSID'
        ,'CLASSNAME'
        ,'RECORD_URL'
    ],
    "SODOCUMENTSUBTOTALS":
    [
        'RECORDNO'
        ,'DOCHDRNO'
        ,'DESCRIPTION'
        ,'ABSVAL'
        ,'PERCENTVAL'
        ,'TOTAL'
        ,'ABSEDIT'
        ,'PERCENTEDIT'
        ,'STATUS'
        ,'TAXDETAIL'
        ,'DEPARTMENT'
        ,'LOCATION'
        ,'TRX_ABSVAL'
        ,'TRX_TOTAL'
        ,'DOCENTRYKEY'
        ,'DOCPARID'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'DOCPARSUBTOTALNO'
        ,'PARTIALEXEMPT'
        ,'SYSTEMTAXDETAILKEY'
        ,'SYSTEMTAXDETAILID'
        ,'PROJECTDIMKEY'
        ,'PROJECTID'
        ,'PROJECTNAME'
        ,'VENDORDIMKEY'
        ,'VENDORID'
        ,'VENDORNAME'
        ,'EMPLOYEEDIMKEY'
        ,'EMPLOYEEID'
        ,'EMPLOYEENAME'
        ,'CLASSDIMKEY'
        ,'CLASSID'
        ,'CLASSNAME'
        ,'TASKDIMKEY'
        ,'TASKID'
        ,'TASKNAME'
        ,'ITEMDIMKEY'
        ,'ITEMID'
        ,'ITEMNAME'
        ,'RECORD_URL'
    ],
    "PODOCUMENTSUBTOTALS":
    [
        'RECORDNO'
        ,'DOCHDRNO'
        ,'DESCRIPTION'
        ,'ABSVAL'
        ,'PERCENTVAL'
        ,'TOTAL'
        ,'ABSEDIT'
        ,'PERCENTEDIT'
        ,'STATUS'
        ,'TAXDETAIL'
        ,'DEPARTMENT'
        ,'LOCATION'
        ,'TRX_ABSVAL'
        ,'TRX_TOTAL'
        ,'DOCENTRYKEY'
        ,'DOCPARID'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'DOCPARSUBTOTALNO'
        ,'PARTIALEXEMPT'
        ,'SYSTEMTAXDETAILKEY'
        ,'SYSTEMTAXDETAILID'
        ,'PROJECTDIMKEY'
        ,'PROJECTID'
        ,'PROJECTNAME'
        ,'EMPLOYEEDIMKEY'
        ,'EMPLOYEEID'
        ,'EMPLOYEENAME'
        ,'CLASSDIMKEY'
        ,'CLASSID'
        ,'CLASSNAME'
        ,'TASKDIMKEY'
        ,'TASKID'
        ,'TASKNAME'
        ,'ITEMDIMKEY'
        ,'ITEMID'
        ,'ITEMNAME'
        ,'RECORD_URL'
    ],
    "INVDOCUMENTSUBTOTALS":
    [
        'RECORDNO'
        ,'DOCHDRNO'
        ,'DESCRIPTION'
        ,'ABSVAL'
        ,'PERCENTVAL'
        ,'TOTAL'
        ,'ABSEDIT'
        ,'PERCENTEDIT'
        ,'STATUS'
        ,'TAXDETAIL'
        ,'DEPARTMENT'
        ,'LOCATION'
        ,'TRX_ABSVAL'
        ,'TRX_TOTAL'
        ,'DOCENTRYKEY'
        ,'DOCPARID'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'DOCPARSUBTOTALNO'
        ,'PARTIALEXEMPT'
        ,'SYSTEMTAXDETAILKEY'
        ,'SYSTEMTAXDETAILID'
        ,'CLASSDIMKEY'
        ,'CLASSID'
        ,'CLASSNAME'
        ,'ITEMDIMKEY'
        ,'ITEMID'
        ,'ITEMNAME'
        ,'RECORD_URL'
    ]
    ,"GLBATCH":
    [
        'RECORDNO'
        ,'BATCHNO'
        ,'BATCH_TITLE'
        ,'BALANCE'
        ,'JOURNAL'
        ,'BATCH_DATE'
        ,'MODULE'
        ,'USERKEY'
        ,'REFERENCENO'
        ,'REVERSED'
        ,'REVERSEDKEY'
        ,'REVERSEDFROM'
        ,'TEMPLATEKEY'
        ,'PRBATCHKEY'
        ,'MODIFIED'
        ,'MODIFIEDBYID'
        ,'SCHOPKEY'
        ,'GLACCTALLOCATIONRUNKEY'
        ,'BASELOCATION'
        ,'BASELOCATION_NO'
        ,'USERINFO.LOGINID'
        ,'WHENCREATED'
        ,'WHENMODIFIED'
        ,'CREATEDBY'
        ,'MODIFIEDBY'
        ,'STATE'
        ,'JOURNALSEQNO'
        ,'TAXIMPLICATIONS'
        ,'VATVENDORID'
        ,'VATCUSTOMERID'
        ,'VATCONTACTID'
        ,'TAXSOLUTIONID'
        ,'MEGAENTITYKEY'
        ,'MEGAENTITYID'
        ,'MEGAENTITYNAME'
    ]
    ,
    'GLACCOUNT': [
        'RECORDNO',
        'ACCOUNTNO',
        'TITLE',
        'ACCOUNTTYPE',
        'NORMALBALANCE',
        'CLOSINGTYPE',
        'STATUS',
        'CATEGORY',
        'ALTERNATIVEACCOUNT'
    ]
}
