"""
Sage Intacct Glbudgetitem
"""
from typing import Dict

from .api_base import ApiBase

class GlbudgetitemTurnover(ApiBase):
    """Class for Contacts APIs."""
    def __init__(self):
        ApiBase.__init__(self, dimension='GLBUDGETITEM')

    def get_all(self):
        """Get all GLBUDGETITEM TURNOVER records from Sage Intacct

        Returns:
            List of Dict in GLBUDGETITEM.
        """

        complete_data = []

        pagesize = '1000'
        data = {
            'readByQuery': {
                'object': 'GLBUDGETITEM',
                'fields': '*',
                'query': 'BUDGETID IN \'Turnover Budget Inte\',\'Turnover Budget Loca\',\'Turnover Home Curren\'',
                'pagesize': pagesize,
            }
        }
        firstResult = self.format_and_send_request(data)
        complete_data.extend(firstResult['data']['glbudgetitem'])

        numRemaining = firstResult['data']['@numremaining']
        resultId = firstResult['data']['@resultId']
        while int(numRemaining) > 0:
            data = {
                'readMore': {
                    'resultId': resultId
                }
            }
            nextResult = self.format_and_send_request(data)
            complete_data.extend(nextResult['data']['glbudgetitem'])
            numRemaining = nextResult['data']['@numremaining']
            resultId = nextResult['data']['@resultId']

        return complete_data
